<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="html" encoding="iso-8859-1" />


  <!--*********This stylesheet is for use with SWAMI to aid in record checking and review.********-->

 <!--  ******LAST UPDATE: 7/20/2011 by MER*******-->


  <!--Declare Variables-->
  <xsl:variable name="count" select="0" />

  <xsl:variable name="code" select="''" />
 
  <!--variables for computing %Q-->
  <xsl:variable name="totq" select="/UsgsHydroML/Site/SiteData/SiteVisit/DischargeMeasurement/DischargeMeasure" />
  
  <xsl:variable name="sectq" select="/DischargeMeasure" /> <!-- select="/UsgsHydroML/Site/SiteData/SiteVisit/DischargeMeasurement/DischargeMeasure" /> -->

  <!-- Keys for gage reading table -->
  <!-- KEY row = time -->
  <xsl:key name="kSiteInspectByTime" match="SensorReading" use="substring(ReadingDateTime,12,9)" />

  <!-- KEY col by method code -->
  <xsl:key name="kSiteInspectByMethod" match="Sensor" use="MethodCode" />

  <!-- KEY by time and code -->
  <xsl:key name="kSiteByTimeandMethod" match="SensorReading" use="concat(substring(ReadingDateTime,12,9), '+', ancestor::*)" />

  <!-- Declare Variables -->
  <xsl:variable name="inspTimes" select="/UsgsHydroML/Site/SiteData/SiteVisit/SensorInspection//SensorReading [generate-id() = generate-id(key('kSiteInspectByTime', substring(ReadingDateTime,12,9))[1]) ] " />

  <!-- Load Columns var by method code -->
  <xsl:variable name="Methods" select="/UsgsHydroML/Site/SiteData/SiteVisit/SensorInspection/LocationSensor/Sensor/SensorType|/UsgsHydroML/Site/SiteData/SiteVisit/SensorInspection/BubbleGageInspection/LocationSensor/Sensor/SensorType [generate-id() = generate-id(key('kSiteInspectByMethod', MethodCode)[1]) ]" />

  <!-- Load by  time and method-->
  <xsl:variable name="timeAndMethods" select="/UsgsHydroML/Site/SiteData/SiteVisit/SensorInspection//SensorReading [generate-id() = generate-id(key('kSiteByTimeandMethod', concat(substring(ReadingDateTime,12,9), '+', ancestor::*))[1]) ]" />

  <xsl:template match="/">
    <html>
      <xsl:call-template name="Head" />

      <xsl:apply-templates select="UsgsHydroML" />
    </html>
  </xsl:template>

  <xsl:template name="Head">
    <head>
      <xsl:call-template name="Title" />

      <xsl:call-template name="Style" />
    </head>
  </xsl:template>

  <xsl:template name="Title">
    <title>Swami Report</title>
  </xsl:template>

  <xsl:template name="Style">

 <!--List of styles applied to the entire document.-->

    <STYLE type='text/css'>
      HTML
      {
      PADDING-RIGHT: 5px;
      PADDING-LEFT: 5px;
      PADDING-BOTTOM: 5px;
      MARGIN: 5px;
      PADDING-TOP: 5px
      }
      BODY
      {
      PADDING-RIGHT: 5px;
      PADDING-LEFT: 5px;
      PADDING-BOTTOM: 5px;
      MARGIN: 5px;
      PADDING-TOP: 5px
      }
      #pagewidth
      {
      WIDTH: 8.5em
      }
      #maincol
      {
      DISPLAY: inline;
      FLOAT: right;
      POSITION: relative;
      BACKGROUND-COLOR: #ffffff
      }

      td.summaryheader
      {
      background-color: #c8c8c8;
      font-family:times new roman;
      font-size:10pt;
      font-weight:bold;
      color:black;
      border-style: none none outset none;
      border-bottom-width: 1px;
      }
      
      td.unusedheader
      {
      background-color: #ff0000;
      font-family:times new roman;
      font-size:10pt;
      font-weight:bold;
      color:black;
      border-style: none none outset none;
      border-bottom-width: 1px;
      }
     
      
      td.subsummaryheader
      {
      font-family:times new roman;
      font-size:10pt;
      font-weight:bold;
      text-decoration:underline;
      text-indent:5px;
      color:black;
      border-style: none none outset none;
      border-bottom-width: 1px;
      }
      
      td.subsectionheader
      {
      font-family:times new roman;
      font-size:10pt;
      font-weight:bold;
      text-decoration:underline;
      text-indent:5px;
      color:black;
      border-style: solid none solid none;
      border-width: 4px;
      border-color: white
      }
      
      td.sensorinspheader
      {
      background-color: #FFFFFF;
      font-family:times new roman;
      font-size:9pt;
      font-weight:bold;
      font-style:oblique;
      color:black;
      }

      .toptblheader
      {
      font-family:times new roman;
      font-size:9pt;
      font-weight:bold;
      color:black;
      }
      
      .toptblheadersub
      {
      font-family:times new roman;
      font-size:9pt;
      font-weight:bold;
      color:black;
      text-indent:10px;
      }

      .toptblheaderpeg
      {
      font-family:times new roman;
      font-size:9pt;
      font-weight:bold;
      color:black;
      text-decoration:underline;
      }
      
      .pegdrawtoprod
      {
      font-family:courier new;
      font-size:9pt;
      font-weight:bold;
      color:black;
      text-indent:0px;
      }
      
      .toptblheaderp
      {
      font-family:times new roman;
      font-size:9pt;
      font-weight:bold;
      color:blue;
      }
      
      .toptblheaderpr
      {
      font-family:times new roman;
      font-size:9pt;
      font-weight:bold;
      color:ForestGreen;
      }
      

      .toptbldata
      {
      font-family:times new roman;
      font-size:9pt;
      text-decoration:underline;
      color:black;
      }
      
      .toptbldataplain
      
      {
      font-family:times new roman;
      font-size:9pt;
      color:black;
      }
      
      .toptbldatasub
      {
      font-family:times new roman;
      font-size:9pt;
      color:black;
      text-indent:10px;
      text-decoration:underline;
      }
      
      .toptbldatasubplain
      {
      font-family:times new roman;
      font-size:9pt;
      color:black;
      text-indent:10px;
      }
      
      .toptbldatap
      {
      font-family:times new roman;
      font-size:9pt;
      color:blue;
      }
      
      .toptbldata2
      {
      font-family:times new roman;
      font-size:9pt;
      font-weight:bold;
      color:cc3300;
      }
      
      .toptbldatasub2
      {
      font-family:times new roman;
      font-size:9pt;
      font-weight:bold;
      color:cc3300;
      text-indent:10px;
      }
      

      .tblheader
      {
      font-family:times new roman;
      font-size:9pt;
      font-weight:bold;
      color:black;
      background-color: #c8c8c8
      }

      .tbldata
      {
      font-family:times new roman;
      font-size:9pt;
      color:black;
      }



      .tbldatadark
      {
      font-family:times new roman;
      font-size:9pt;
      color:black;
      background-color: #c8c8c8
      }


      td.dotted
      {

     <!-- border-style: none none outset none;
      border-width: thin;
      border-color:#C8C8C8; -->
            border-style: solid;
      border-bottom-width: 1px;
      border-left-width: 1px;
      border-right-width: 1px;
      border-top-width: 1px;
      border-color:#C8C8C8;
 
      }
      
      td.levels
      {
      border-style: solid;
      border-bottom-width: 1px;
      border-left-width: 1px;
      border-right-width: 1px;
      border-top-width: 1px;
      border-color:#C8C8C8;
      }
      
      td.dotted2
      {
      font-family:times new roman;
      font-size:9pt;
      color:black;
      border-style: none none outset none;
      Border-bottom-width: 1px;
      Border-left-width: 1px;
      Border-right-width: 1px;
      }
      
      td.primread
      {
      font-family:times new roman;
      font-size:9pt;
      color:blue;
      border-style: none none outset none;
      Border-bottom-width: 1px;
      Border-left-width: 1px;
      Border-right-width: 1px;
      }
      
      td.primrecread
      {
	  font-family:times new roman;
      font-size:9pt;
      color:ForestGreen;
      border-style: none none outset none;
      Border-bottom-width: 1px;
      Border-left-width: 1px;
      Border-right-width: 1px;
      }

      td.dottedfirst
      {
      border-style: none solid none solid;
      border-color:#C8C8C8;
      }

      td.solid
      {
      border-style: outset;
      }

      td.solidheader
      {
      border-style: none outset outset outset;
      }


      td.solidheader2
      {
      font-family:times new roman;
      font-size:10pt;
      font-weight:bold;
      color:black;
      border-style: outset outset outset outset;
      Border-bottom-width: 2px;
      Border-left-width: 2px;
      Border-right-width: 2px;
      }

      td.topborder
      {
      border-style: outset none none none;
      border-top-width: 1px;
      font-size:0px;

      }

      td.bottomborder
      {
      border-style: none none outset none;
      border-bottom-width: 1px;
      font-size:0px;

      }

      .titleblue
      {
      FONT-WEIGHT: bold;
      FONT-SIZE: 12px;
      COLOR: #006699;
      FONT-FAMILY: trebuchet,verdana, arial, helvetica
      }

      .titleblack
      {
      FONT-WEIGHT: bold;
      FONT-SIZE: 11px;
      COLOR: black;
      FONT-FAMILY: trebuchet,verdana, arial, helvetica
      }
      
      p.pagebreakhere
      {
      page-break-before:always
      }

    </STYLE>

    <!--Now we tell it in what order all the elements should display-->

  </xsl:template>

  <xsl:template match="UsgsHydroML">
    <xsl:call-template name="Body" />
  </xsl:template>

  <xsl:template name="Body">
    <body leftmargin="0" topmargin="3" bgcolor="#FFFFFF">
      <table border="0" cellspacing="2" cellpadding="1" width="100%">
        <tr>
          <td>
            <xsl:call-template name="Top" />
          </td>
        </tr>

        <tr>
          <td>
            <xsl:call-template name="Summary" />
          </td>
        </tr>

        <xsl:for-each select="./Site/SiteData/SiteVisit/DischargeMeasurement">
          <tr>
            <td>
              <xsl:call-template name="DischargeMeasurement" />
            </td>
          </tr>
          
          <xsl:for-each select="Channel">
          <tr>
           <td>
              <xsl:call-template name="Channels" />
     	   </td>
     	  </tr>
     	  </xsl:for-each>
        
        </xsl:for-each>
	   
        
       <xsl:choose>
       	  <xsl:when test="count(./Site/SiteData/SiteVisit/SensorInspection/SensorReading) &gt; 0"> 
       	  	<xsl:call-template name="gageReadingTable" />
       	  </xsl:when>
       </xsl:choose>

		
        
        <xsl:for-each select="./Site/SiteData/SiteVisit/SensorInspection">
          <tr>
            <td>
              <xsl:call-template name="SensorInsp" />
            </td>
          </tr>
        </xsl:for-each>      
        
       <xsl:choose>
          <xsl:when test="count(./Site/SiteData/SiteVisit/StreamFlowControlInspection) &gt; 0">
            <xsl:call-template name="CntrlInsp" />
          </xsl:when>
        </xsl:choose>
        
        <xsl:choose>
          <xsl:when test="count(./Site/SiteData/SiteVisit/EnvironmentalMeasurementList/EnvironmentalMeasurement) &gt; 0">
            <xsl:call-template name="EnvMeasurement" />
          </xsl:when>
        </xsl:choose>

        <xsl:choose>
          <xsl:when test="count(./Site/SiteData/SiteVisit/HighWaterMarkObservation) &gt; 0">
            <xsl:call-template name="HWM" />
          </xsl:when>
        </xsl:choose>

        <xsl:choose>
          <xsl:when test="count(./Site/SiteData/SiteVisit/StillingWellInspection) &gt; 0">
            <xsl:call-template name="StillWellInsp" />
          </xsl:when>
        </xsl:choose>

        <xsl:choose>
          <xsl:when test="count(./Site/SiteData/SiteVisit/StreamZeroFlowInspection) &gt; 0">
            <xsl:call-template name="GHZFInsp" />
          </xsl:when>
        </xsl:choose>
        
        <xsl:choose>
          <xsl:when test="count(./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit) &gt; 0">
            <xsl:call-template name="StationLevels" />
          </xsl:when>
        </xsl:choose>
        
        <xsl:choose>
          <xsl:when test="count(./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest) &gt; 0">
            <xsl:call-template name="PegTest" />
          </xsl:when>
        </xsl:choose>
        
        <!-- only display channel name and midsection details if measurement was taken with CMSP and details exist-->
        
        <xsl:for-each select="./Site/SiteData/SiteVisit/DischargeMeasurement/Channel"> 
         <xsl:choose>
          <xsl:when test="count(./MidSectionDischargeMeasurement/MidSectionStation) &gt; 0">
           <tr>
            <td> 
            <p class="pagebreakhere" />
              <xsl:call-template name="Channels2" />
            </td>
           </tr>
          </xsl:when>
         </xsl:choose>
        </xsl:for-each> 
        
      </table>
    </body>
  </xsl:template>

  <!--*****And here is where the actual meat of the document begins with the header info********-->

  <xsl:template name="Top">
    <table border="0" cellspacing="0" cellpadding="0" width="100%">
      <tr>

		 <td class="toptblheader">
          <xsl:value-of select="./Source/SoftwareName" />

          ver.
          <xsl:value-of select="./Source/SoftwareVersionText" />

          <br />
          <br />
          Stylesheet ver. 1.3.0W
        </td>

        <td class="titleblack" align="center">
          U.S. DEPARTMENT OF THE INTERIOR
          <br />

          U.S. Geological Survey
          <br />

          
		<xsl:choose>
		
	     <xsl:when test="count(./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit) &gt; 0">
	      <br />
	     LEVEL NOTES
	      <br />
	      <br />
	     </xsl:when>
	     
	     <xsl:otherwise>
	      
          <br />

          DISCHARGE MEASUREMENT AND
          <br />

          GAGE INSPECTION NOTES
         </xsl:otherwise>
        </xsl:choose>
        
        </td>
        
		<!--Only display meas #, processed by, and checked by if a measurement actually made-->
		
		<xsl:choose>
		
		<xsl:when test="./Site/SiteData/SiteVisit/DischargeMeasurement/MeasurementNumber/text()"> 

        <td class="toptblheader" align="right">
          Meas #:  <xsl:value-of select ="./Site/SiteData/SiteVisit/DischargeMeasurement/MeasurementNumber[text()!='AUTSEQ']" /> 

          <br />

          <br />

          Processed by ___________
          <br />

          <br />

          Checked by ___________
        </td>
        
       <!--print this stuff instead if no Qmeas made-->
       
        </xsl:when>
        <xsl:otherwise>
        
        	<td class="toptblheader" align="right">
        	Gage Inspection
        	<br />
        	<br />
        	Insp by: <xsl:value-of select="./Site/SiteData/SiteVisit/PartyText" />
        	</td>
        </xsl:otherwise>
        </xsl:choose>
        
        
      </tr>
    </table>
  </xsl:template>
  
  <!--***************Site Visit Summary**************** -->

<xsl:template name="Summary">
    <table border="0" cellspacing="2" cellpadding="2" width="100%" style="border: 1px solid black">
      <tr>

        <td colspan="11" class="summaryheader">Site Visit Summary</td>

      </tr>
	
	<xsl:choose>
	 <xsl:when test="count(./Site/SiteIdentifier[text()]) &gt; 0">
      <tr>
		<td class="subsectionheader" colspan="3">
 
        <xsl:value-of select="./Site/SiteIdentifier" /> -
          <xsl:value-of select="./Site/Name" />
        </td>   

	  </tr>
	  </xsl:when>
	  <xsl:otherwise>
	  <td class="subsectionheader" colspan="3">
	  Peg Test
	  </td>
	  </xsl:otherwise>
	 </xsl:choose>
	  
	  <tr>
	  <td class="toptbldatasubplain">
          Date:
            <!--<td class="toptbldatasubplain">-->
            <xsl:call-template name="stripdate">
              <xsl:with-param name="str" select="./Site/SiteData/SiteVisit/StartDateTime" />
            </xsl:call-template>
           <!-- </td>-->
      </td>


        <td class="toptbldataplain">Start Time:

          <xsl:call-template name="striptime">
            <xsl:with-param name="str" select="./Site/SiteData/SiteVisit/StartDateTime" />
          </xsl:call-template>
        </td>

	  	
        <td class="toptbldataplain">End Time:
          <xsl:call-template name="striptime">
            <xsl:with-param name="str" select="./Site/SiteData/SiteVisit/EndDateTime" />
          </xsl:call-template>
        </td>

      </tr>
      
      <tr>
      
        <td class="toptbldatasubplain">Party:
          <xsl:value-of select="./Site/SiteData/SiteVisit/PartyText" />
        </td>
        
      <xsl:choose>
       <xsl:when test="count(./Site/SiteData/SiteVisit/InstrumentBatteryVoltageMeasure) &gt; 0">
       <td class="toptbldataplain">Battery:
          <xsl:value-of select="./Site/SiteData/SiteVisit/InstrumentBatteryVoltageMeasure" />
        </td>
       </xsl:when>
      </xsl:choose>
      
      </tr>
      
      <tr>
      
      <xsl:choose>
 		 <xsl:when test="count(./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/InitialPegTest/Comments) &gt; 0"> 
			
				<td class="toptbldatasubplain" colspan="3">Initial Peg Test Comment: <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/InitialPegTest/Comments"/></td>
			
		 </xsl:when>
	  </xsl:choose>
        
      <xsl:choose>
       <xsl:when test="count(./Site/SiteData/SiteVisit/WeatherDescription[text()]) &gt; 0">
        <td class="toptbldatasubplain" colspan="3">Weather:
          <xsl:value-of select="./Site/SiteData/SiteVisit/WeatherDescription" />
        </td>
       </xsl:when>
      </xsl:choose>

      </tr>
      
      <xsl:choose>
 		 <xsl:when test="count(./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/PostAdjustmentPegTest/Comments) &gt; 0"> 
			<tr>
				<td class="toptbldatasubplain" colspan="3">Post Adjustment Peg Test Comment: <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/PostAdjustmentPegTest/Comments"/></td>
			</tr>
		 </xsl:when>
	  </xsl:choose>
      
      
           <!--statement to fill in brief description of other actions from the booleans-->
    
      <tr>
      	<td class="toptbldatasubplain" colspan="3">
      	
      	<xsl:choose>
      	
        	<xsl:when test="./Site/SiteData/SiteVisit/RecorderRecordRemovedIndicator='true'">
        	  Recorder record removed.
        	</xsl:when>
       
        </xsl:choose>
        
        <xsl:choose>
        	
        	<xsl:when test="./Site/SiteData/SiteVisit/WaterQualitySampleIndicator='true'">
        	  QW sample collected.
        	</xsl:when>
        	
        </xsl:choose>
        
        <xsl:choose>
        
        	<xsl:when test="./Site/SiteData/SiteVisit/SedimentSampleIndicator='true'">
        	  Sediment sample collected.
        	</xsl:when>
        	
        </xsl:choose>
        
        <xsl:choose>
        
        	<xsl:when test="./Site/SiteData/SiteVisit/BiologicalSampleIndicator='true'">
        	  Biological sample collected.
        	</xsl:when>
        
        </xsl:choose>
        
        <xsl:choose>
        
        	<xsl:when test="./Site/SiteData/SiteVisit/OtherSampleIndicator='true'">
        	  Other sample collected.
        	</xsl:when>
        
        </xsl:choose>
        
        <xsl:choose>
        
        	<xsl:when test="./Site/SiteData/SiteVisit/LevelsRunIndicator='true'">
        	  Levels run.
        	</xsl:when>
        	
        </xsl:choose>
        
        <xsl:choose>
        
        	<xsl:when test="./Site/SiteData/SiteVisit/GwWaterLevelsIndicator='true'">
        	  GW tapedown completed.
            </xsl:when>
            
        </xsl:choose>
        
        <xsl:choose>
        
        	<xsl:when test="./Site/SiteData/SiteVisit/SafetyInspectionPerformedIndicator='true'">
        	  Safety inspection performed.
            </xsl:when>
        
        </xsl:choose>
        
        
        </td>
      </tr>
            
      
      <xsl:choose>
       <xsl:when test="count(./Site/SiteData/SiteVisit/Comment[text()]) &gt; 0">
        <tr>

           <td class="subsectionheader">Comment:</td>
        
        </tr>
      
        <tr>
        	<td class="toptbldatasubplain" colspan="3">
          <xsl:value-of select="./Site/SiteData/SiteVisit/Comment" />
        </td>
        </tr>
      </xsl:when>
     </xsl:choose>
      
    </table>

  </xsl:template>
  
  <!--************Discharge Measurement Summary***************-->

  <xsl:template name="DischargeMeasurement">
    <table border="0" cellspacing="2" cellpadding="2" width="100%" style="border: 1px solid black">
      <tr>
		
		<xsl:choose>
		 <xsl:when test="MeasurementUnusedIndicator='false'">
           <td colspan="4" class="summaryheader">Discharge Measurement Summary</td>
         </xsl:when>
         
         <xsl:when test="MeasurementUnusedIndicator='true'">
           <td colspan="4" class="unusedheader">Unused Discharge Measurement Summary</td>
         </xsl:when>
         
         <xsl:otherwise>
          <td colspan="4" class="summaryheader">Discharge Measurement Summary</td>
         </xsl:otherwise>
        </xsl:choose>

      </tr>

      <tr>

        <td class="subsectionheader" colspan="1">Meas No:

        <xsl:choose>
        
          <xsl:when test="MeasurementNumber='AUTSEQ'">
             _________
          </xsl:when>
          <xsl:when test="MeasurementNumber!='AUTSEQ'">
            
          <xsl:value-of select="MeasurementNumber" />
            
        
        </xsl:when>
        </xsl:choose>
        
        </td>
      </tr>
      
      <tr>
        <td class="toptbldatasub2" colspan="1">Gage Ht:
          <xsl:value-of select="StageMeasure" />

          ft.
        </td>

        <td class="toptbldata2" colspan="1">Total Meas Flow:
          <xsl:value-of select="DischargeMeasure" />

          cfs
        </td>

	  </tr>
	  
	  <tr>

        <td class="toptbldatasubplain" colspan="1">Meas Start Time:
          <xsl:call-template name="striptime">
            <xsl:with-param name="str" select="StartDateTime" />
          </xsl:call-template>
        </td>
        

        <td class="toptbldataplain" colspan="1">Meas End Time:
          <xsl:call-template name="striptime">
            <xsl:with-param name="str" select="EndDateTime" />
          </xsl:call-template>
        </td>

      </tr>

      <tr>
	   <xsl:choose>
	    <xsl:when test="count(StageDifferenceMeasure[text()]) &gt; 0">
        <td class="toptbldatasubplain" colspan="1">Gage Ht Change:
          <xsl:value-of select="StageDifferenceMeasure" />

          ft.
        </td>
        </xsl:when>
       </xsl:choose>

	   <xsl:choose>
	    <xsl:when test="count(StageDifferenceDurationMeasure[text()]) &gt; 0">
        <td class="toptbldataplain" colspan="1">Meas Duration:
          <xsl:value-of select="StageDifferenceDurationMeasure" />

          hrs.
        </td>
        </xsl:when>
       </xsl:choose>
      
      </tr>
      
      <tr>
	   <xsl:choose>
	    <xsl:when test="count(MeasurementQualityCode) &gt; 0">
        <td class="toptbldatasubplain" colspan="1">Meas Rated:
          <xsl:call-template name="ConvertCodes">
            <xsl:with-param name="code" select="MeasurementQualityCode" />
            <xsl:with-param name="desc" select="MeasurementQualityCode/@Description" />
          </xsl:call-template>
        </td>
        </xsl:when>
       </xsl:choose>
        
	
        <td class="toptbldataplain" colspan="1">Base Flow?
          <xsl:call-template name="ConvertCodes">
            <xsl:with-param name="code" select="BaseFlowCode" />
            <xsl:with-param name="desc" select="BaseFlowCode/@Description" />
          </xsl:call-template>
        </td>

      </tr>
  
      <xsl:choose>
       <xsl:when test="count(Comment[text()]) &gt; 0">
      	<tr>
        	<td class="subsectionheader">Comment:</td>
      	</tr>
       </xsl:when>
      </xsl:choose>
      
      	<tr>

        <td class="toptbldatasubplain" colspan="4">
          	<xsl:value-of select="Comment" />
        </td>

      </tr>
    
      
     <tr>
     <td class="toptbldatasubplain" colspan="4">
     Meas. plots: __________% &#xa0;
    
    
     Different from rating no. __________ &#xa0;
     
     
     Indicated shift: __________
     </td>
     </tr> 
      
          
    </table>
 

  </xsl:template>

  <!--Gage Reading Table -->
  <xsl:template name="gageReadingTable">
    <xsl:call-template name="gageReading" />
  </xsl:template>

  <!-- -->
  <!-- *****************Gage Reading Table*********************** -->
  
  <xsl:template name="gageReading">

    <!-- run through sensor Inspections -->

    <!-- First time through, print the methodcodes as header -->
    <table border="0" cellspacing="1" cellpadding="2" width="100%" style="border: 1px solid black" bgcolor="#E0E0E0">
    <tr>
    	<td class="summaryheader" colspan="12">Gage Readings</td>
    </tr>
      <xsl:for-each select="$inspTimes">
        <xsl:sort select="substring(ReadingDateTime,12,9)" />
        <xsl:variable name="vInspTime" select="ReadingDateTime" />

        <!--Print the values-->
        <xsl:if test="position() = 1">
          <tr>
            <td class="toptblheader">Time</td>

            <xsl:for-each select="/UsgsHydroML/Site/SiteData/SiteVisit/SensorInspection">
              <xsl:choose>
              
             <!--set primary reference headings to blue--> 
             
                <xsl:when test=".//LocationSensor/Sensor/SensorType/MethodCode!='CLIP' and .//LocationSensor/Sensor/SensorType/MethodCode!='CSG' and .//LocationSensor/PrimarySensorIndicator='true'">
  
                  <xsl:variable name="vMethodCode" select=".//LocationSensor/Sensor/SensorType/MethodCode" />
                  
                  <td class="toptblheaderp"> 
                    <xsl:call-template name="GetMethodName">
                      <xsl:with-param name="paramcode" select=".//LocationSensor/Sensor/SensorType/ParameterCode" />
                      <xsl:with-param name="methcode" select="$vMethodCode" />
                    </xsl:call-template>
                    <br />(<xsl:value-of select=".//LocationSensor/Sensor/SerialNumber" />)
                    <br />Name: <xsl:value-of select=".//LocationSensor/Sensor/SensorName" />
                  </td>
                  
                </xsl:when>
                
              <!--set primary recorder headings to green--> 
              
               <xsl:when test=".//LocationSensor/Sensor/SensorType/MethodCode!='CLIP' and .//LocationSensor/Sensor/SensorType/MethodCode!='CSG' and .//LocationSensor/PrimaryRecorderIndicator='true'">
  
                  <xsl:variable name="vMethodCode" select=".//LocationSensor/Sensor/SensorType/MethodCode" />
                  
                  <td class="toptblheaderpr"> 
                    <xsl:call-template name="GetMethodName">
                      <xsl:with-param name="paramcode" select=".//LocationSensor/Sensor/SensorType/ParameterCode" />
                      <xsl:with-param name="methcode" select="$vMethodCode" />
                    </xsl:call-template>
                    <br />(<xsl:value-of select=".//LocationSensor/Sensor/SerialNumber" />)
                    <br />Name: <xsl:value-of select=".//LocationSensor/Sensor/SensorName" />
                  </td>
                  
                </xsl:when> 
                
                <!--set non-primary headings to black-->
                
                <xsl:when test=".//LocationSensor/Sensor/SensorType/MethodCode!='CLIP' and .//LocationSensor/Sensor/SensorType/MethodCode!='CSG' and .//LocationSensor/PrimarySensorIndicator='false' and .//LocationSensor/PrimaryRecorderIndicator='false'">
                
                  <xsl:variable name="vMethodCode" select=".//LocationSensor/Sensor/SensorType/MethodCode" />
                  
                  <td class="toptblheader"> 
                    <xsl:call-template name="GetMethodName">
                      <xsl:with-param name="paramcode" select=".//LocationSensor/Sensor/SensorType/ParameterCode" />
                      <xsl:with-param name="methcode" select="$vMethodCode" />
                    </xsl:call-template>
                    <br />(<xsl:value-of select=".//LocationSensor/Sensor/SerialNumber" />)
                    <br />Name: <xsl:value-of select=".//LocationSensor/Sensor/SensorName" />
                  </td>
                </xsl:when>
               
              </xsl:choose>
              
            </xsl:for-each>
          </tr>
        </xsl:if>

        <tr>
          <td class="dotted2">
            <xsl:value-of select="substring($vInspTime,12,9)" />
          </td>

          <xsl:for-each select="/UsgsHydroML/Site/SiteData/SiteVisit/SensorInspection">
            <xsl:choose>
          
            <xsl:when test=".//LocationSensor/Sensor/SensorType/MethodCode!='CLIP' and .//LocationSensor/Sensor/SensorType/MethodCode!='CSG'">
                <xsl:variable name="vReading" select=".//SensorReading[ReadingDateTime=$vInspTime]/SensorMeasure" />
				<xsl:choose>
					<xsl:when test=".//SensorReading[ReadingDateTime=$vInspTime]/PrimaryReferenceSensorIndicator='false' and .//SensorReading[ReadingDateTime=$vInspTime]/PrimaryRecorderIndicator='false'">
						<td class="dotted2">
						<xsl:choose>
							<xsl:when test="$vReading!=''">
								<xsl:value-of select="$vReading" />
									<!--Code to include measurement accuracy if available in gage reading table-->
									<xsl:choose>
										<xsl:when test=".//SensorReading[ReadingDateTime=$vInspTime]/MeasureAccuracy/text()" >
											<i>(+/-<xsl:value-of select=".//SensorReading[ReadingDateTime=$vInspTime]/MeasureAccuracy" />)</i>
										</xsl:when>
									</xsl:choose>
								</xsl:when>
							<xsl:otherwise>
								<xsl:text>&#xa0;</xsl:text>  
							</xsl:otherwise>
						</xsl:choose>
						</td> 
					</xsl:when>
					<xsl:when test=".//SensorReading[ReadingDateTime=$vInspTime]/PrimaryReferenceSensorIndicator='true' and .//SensorReading[ReadingDateTime=$vInspTime]/PrimaryRecorderIndicator='false'">
						<td class="primread">
						<xsl:choose>
							<xsl:when test="$vReading!=''">
								<xsl:value-of select="$vReading" />
									<!--Code to include measurement accuracy if available in gage reading table-->
									<xsl:choose>
										<xsl:when test=".//SensorReading[ReadingDateTime=$vInspTime]/MeasureAccuracy/text()" >
											<i>(+/-<xsl:value-of select=".//SensorReading[ReadingDateTime=$vInspTime]/MeasureAccuracy" />)</i>
										</xsl:when>
									</xsl:choose>
								</xsl:when>
							<xsl:otherwise>
								<xsl:text>&#xa0;</xsl:text>  
							</xsl:otherwise>
						</xsl:choose>
						</td> 
					</xsl:when>
					<xsl:when test=".//SensorReading[ReadingDateTime=$vInspTime]/PrimaryReferenceSensorIndicator='false' and .//SensorReading[ReadingDateTime=$vInspTime]/PrimaryRecorderIndicator='true'">
						<td class="primrecread">
						<xsl:choose>
							<xsl:when test="$vReading!=''">
								<xsl:value-of select="$vReading" />
									<!--Code to include measurement accuracy if available in gage reading table-->
									<xsl:choose>
										<xsl:when test=".//SensorReading[ReadingDateTime=$vInspTime]/MeasureAccuracy/text()" >
											<i>(+/-<xsl:value-of select=".//SensorReading[ReadingDateTime=$vInspTime]/MeasureAccuracy" />)</i>
										</xsl:when>
									</xsl:choose>
								</xsl:when>
							<xsl:otherwise>
								<xsl:text>&#xa0;</xsl:text>  
							</xsl:otherwise>
						</xsl:choose>
						</td> 
					</xsl:when>
					<xsl:otherwise>
						<td class="dotted2">
						<xsl:choose>
							<xsl:when test="$vReading!=''">
								<xsl:value-of select="$vReading" />
									<!--Code to include measurement accuracy if available in gage reading table-->
									<xsl:choose>
										<xsl:when test=".//SensorReading[ReadingDateTime=$vInspTime]/MeasureAccuracy/text()" >
											<i>(+/-<xsl:value-of select=".//SensorReading[ReadingDateTime=$vInspTime]/MeasureAccuracy" />)</i>
										</xsl:when>
									</xsl:choose>
								</xsl:when>
							<xsl:otherwise>
								<xsl:text>&#xa0;</xsl:text>  
							</xsl:otherwise>
						</xsl:choose>
						</td> 
					</xsl:otherwise>
				</xsl:choose>
            </xsl:when>
            
              
            </xsl:choose>
          </xsl:for-each>
        </tr>
      </xsl:for-each> 
      
      <tr>
         <td class="toptblheader" colspan="1">
           Key:
         </td>
         <td class="toptblheaderp" colspan="1">
           Blue=Primary Reference;  
         </td>
         <td class="toptblheaderpr" colspan="1">
           Green=Primary Recorder
         </td>
      </tr>
          
    </table>
    
  </xsl:template>



  <!-- Get the sensor readings and times -->
  <xsl:template match="SensorReading ">
    <!--Display the sensor readings by time-->
    <xsl:variable name="inspTime" select="substring(ReadingDateTime,12,9)" />

    <!--First time through, print header-->
    <xsl:if test="position() = 1">
      <tr>
        <td>TIME</td>

        <xsl:for-each select="key('siteInspectByTime',$inspTime)">
          <xsl:sort select="substring(ReadingDateTime,12,5)" />

          <xsl:choose>
 
            <xsl:when test="/SensorInspection/LocationSensor/Sensor/SensorType/MethodCode|/SensorInspection/BubbleGageInspection/LocationSensor/Sensor/SensorType/MethodCode">
              <td>
   
                <xsl:value-of select="/SensorInspection/LocationSensor/Sensor/SensorType/MethodCode|/SensorInspection/BubbleGageInspection/LocationSensor/Sensor/SensorType/MethodCode" />
              </td>
            </xsl:when>

            <xsl:otherwise>
              <td>
               
                <xsl:value-of select="/SensorInspection/LocationSensor/Sensor/SensorType/MethodCode|/SensorInspection/BubbleGageInspection/LocationSensor/Sensor/SensorType/MethodCode" />
              </td>
            </xsl:otherwise>
          </xsl:choose>

          
        </xsl:for-each>
      </tr>
    </xsl:if>

    <!--Now print the content-->
    <tr>
      <td>
        <xsl:value-of select="substring(ReadingDateTime,12,5)" />
      </td>

      <xsl:for-each select="key('siteInspectByTime',$inspTime)">
        <xsl:sort select="substring(ReadingDateTime,12,5)" />

        <td>

          <xsl:value-of select="SensorMeasure" />
          
        </td>

        
      </xsl:for-each>
    </tr>
  </xsl:template>

  <!--**********************Environmental Measurements Summary********************************-->
  <xsl:template name="EnvMeasurement">
  <!--white space-->
		 <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 2px solid white">
           <tr>
        	<td>
        	</td>
           </tr>
        </table>       
  <!--end white space--> 
    <tr>
      <td>
        <table border="0" cellspacing="2" cellpadding="2" width="100%" style="border: 1px solid black">
          <tr>

            <td colspan="11" class="summaryheader">Environmental Measurements</td>

   
          </tr>

          <tr>

            <td class="toptblheadersub">Time</td>

            <td class="toptblheader">Parameter</td>

            <td class="toptblheader">Method</td>

            <td class="toptblheader">Measure</td>

            <td />
          </tr>

          <xsl:for-each select="./Site/SiteData/SiteVisit/EnvironmentalMeasurementList/EnvironmentalMeasurement">
            <tr>

              <td class="toptbldatasubplain">
                <xsl:call-template name="striptime">
                  <xsl:with-param name="str" select="DateTime" />
                </xsl:call-template>
              </td>

              <td class="toptbldataplain">
                <xsl:call-template name="ConvertCodes">
                  <xsl:with-param name="code" select="ParameterCode" />
                  
                </xsl:call-template>
              </td>

              <td class="toptbldataplain">
                <xsl:call-template name="ConvertCodes">
                  <xsl:with-param name="code" select="MethodCode" />
                  
                </xsl:call-template>
              </td>

              <td class="toptbldataplain">
                <xsl:value-of select="Measure" />
              </td>
              
            </tr>
          </xsl:for-each>
        	
        <xsl:choose>
         <xsl:when test="./Site/SiteData/SiteVisit/EnvironmentalMeasurementList/Comment[text()]" >
        
        	<tr>
			
            <td class="subsectionheader">Comment:</td>
            
            </tr>
            
            <tr>

            <td class="toptbldatasubplain">
              <xsl:value-of select="./Site/SiteData/SiteVisit/EnvironmentalMeasurementList/Comment" />
            </td>
		
          </tr>
         </xsl:when>
        </xsl:choose>
        
        </table>
      </td>
    </tr>
  </xsl:template>

<!--*******************Control Inspection********************-->

  <xsl:template name="CntrlInsp">
  <!--white space-->
		 <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 2px solid white">
           <tr>
        	<td>
        	</td>
           </tr>
        </table>       
  <!--end white space--> 
    <tr>
      <td>
        <table border="0" cellspacing="2" cellpadding="2" width="100%" style="border: 1px solid black">
          <tr>

            <td colspan="11" class="summaryheader">Streamflow Control Inspection</td>

          </tr>

          <tr>

            <td class="toptblheadersub">Type</td>

            <td class="toptblheader">Dist to Gage (ft)</td>

            <td class="toptblheader">Cleaned?</td>

            <td class="toptblheader">Time Cleaned</td>

            <td class="toptblheader">Condition</td>

          </tr>

          <tr>

            <td class="toptbldatasubplain">
              <xsl:call-template name="ConvertCodes">
                <xsl:with-param name="code" select="./Site/SiteData/SiteVisit/StreamFlowControlInspection/ControlCode" />
                <xsl:with-param name="desc" select="./Site/SiteData/SiteVisit/StreamFlowControlInspection/ControlCode/@Description" />
              </xsl:call-template>
            </td>

            <td class="toptbldataplain">
              <xsl:value-of select="./Site/SiteData/SiteVisit/StreamFlowControlInspection/DistanceToGageMeasure" />
            </td>

            <td class="toptbldataplain">
              <xsl:call-template name="ConvertCodes">
                <xsl:with-param name="code" select="./Site/SiteData/SiteVisit/StreamFlowControlInspection/ControlCleanedCode" />
                <xsl:with-param name="desc" select="./Site/SiteData/SiteVisit/StreamFlowControlInspection/ControlCleanedCode/@Description" />
              </xsl:call-template>
            </td>

            <td class="toptbldataplain">
              <xsl:call-template name="striptime">
                <xsl:with-param name="str" select="./Site/SiteData/SiteVisit/StreamFlowControlInspection/CleanedDateTime" />
              </xsl:call-template>
            </td>

            <td class="toptbldataplain">
              <xsl:call-template name="ConvertCodes">
                <xsl:with-param name="code" select="./Site/SiteData/SiteVisit/StreamFlowControlInspection/ConditionCode" />
                 <xsl:with-param name="desc" select="./Site/SiteData/SiteVisit/StreamFlowControlInspection/ConditionCode/@Description" />
              </xsl:call-template>
            </td>

          </tr>

          
			
			<xsl:choose>
			 <xsl:when test="./Site/SiteData/SiteVisit/StreamFlowControlInspection/Comment[text()]" >
            	<tr>
           		 <td class="subsectionheader" colspan="4">Comment:</td>
				</tr>
			
				<tr>
            	 <td class="toptbldatasubplain" colspan="4">
             		 <xsl:value-of select="./Site/SiteData/SiteVisit/StreamFlowControlInspection/Comment" />
           		 </td>
            

          		</tr>
          	  </xsl:when>
          </xsl:choose>
          
        </table>
      </td>
    </tr>
  </xsl:template>

<!--**********************High Water Marks Info**********************-->

  <xsl:template name="HWM">
  <!--white space-->
		 <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 2px solid white">
           <tr>
        	<td>
        	</td>
           </tr>
        </table>       
  <!--end white space--> 
    <tr>
      <td>
        <table border="0" cellspacing="2" cellpadding="2" width="100%" style="border: 1px solid black">
          <tr>

            <td colspan="11" class="summaryheader">High Water Marks</td>

          </tr>

          <tr>

            <td class="toptblheadersub">Description</td>
 
            <td class="toptblheader">Stage (ft)</td>

            <td class="toptblheader">Acc (ft)</td>

            <td class="toptblheader">Est Date</td>

            <td class="toptblheader">Comment</td>
            
          </tr>

          <xsl:for-each select="./Site/SiteData/SiteVisit/HighWaterMarkObservation">
            <tr>

              <td class="toptbldatasubplain">
                <xsl:value-of select="Description" />
              </td>

              <td class="toptbldataplain">
                <xsl:value-of select="StreamStageMeasure" />
              </td>

              <td class="toptbldataplain">
                <xsl:value-of select="StageAccuracyMeasure" />
              </td>

              <td class="toptbldataplain">
                <xsl:value-of select="EstimatedDateTime" />
              </td>

              <td class="toptbldataplain">
                <xsl:value-of select="Comment" />
              </td>

            </tr>
          </xsl:for-each>
        </table>
      </td>
    </tr>
  </xsl:template>

<!--*********************Stilling Well Inspection**************************-->

  <xsl:template name="StillWellInsp">
  <!--white space-->
		 <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 2px solid white">
           <tr>
        	<td>
        	</td>
           </tr>
        </table>       
  <!--end white space--> 
    <tr>
      <td>
        <table border="0" cellspacing="2" cellpadding="2" width="100%" style="border: 1px solid black">
          <tr>

            <td colspan="11" class="summaryheader">Stilling Well Inspection</td>

          </tr>

          <tr>

            <td class="toptblheadersub">Intake Serviced</td>

            <td class="toptblheader">Time</td>

            <td class="toptblheader">Comment</td>

          </tr>

          <xsl:for-each select="./Site/SiteData/SiteVisit/StillingWellInspection">
            <tr>

              <td class="toptbldatasubplain">
                <xsl:call-template name="ConvertCodes">
                  <xsl:with-param name="code" select="IntakeServicedCode" />
                   <xsl:with-param name="desc" select="IntakeServicedCode/@Description" />
                </xsl:call-template>
              </td>

              <td class="toptbldataplain">
                <xsl:call-template name="striptime">
                  <xsl:with-param name="str" select="IntakeServicedDateTime" />
                </xsl:call-template>
              </td>

              <td class="toptbldataplain">
                <xsl:value-of select="Comment" />
              </td>

            </tr>
          </xsl:for-each>
        </table>
      </td>
    </tr>
  </xsl:template>

<!--**********************StationLevels**********************-->

  <xsl:template name="StationLevels">
 
    <tr>
      <td>
        
         <table border="0" cellspacing="2" cellpadding="2" width="100%" style="border: 1px solid black">
          
          <tr>

            <td colspan="11" class="summaryheader">Gaging Station Level Notes</td>

          </tr>
          	
          	<tr>
          	
          	<td class="subsectionheader">Instrument</td>
          	
          	</tr>
          	
          	<tr>
          	
          	 <td class="toptbldatasubplain" width="250">Make/Model/Serial Number: <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit/EngineerLevel/Equipment/ManufacturerName" /> / <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit/EngineerLevel/Equipment/ModelNumber" /> / <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit/EngineerLevel/Equipment/SerialNumber" /></td>
            
             <td class="toptbldataplain">System Type: 
             	<xsl:call-template name="ConvertCodes">
                  <xsl:with-param name="code" select="./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit/EngineerLevel/Equipment/MethodCode" />
                   <xsl:with-param name="desc" select="./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit/EngineerLevel/Equipment/MethodCode/@Description" />
                </xsl:call-template> </td>
            
            </tr>
            
            <tr>
            
            	<td class="toptbldatasubplain">Instrument Operator: <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit/EngineerLevelOperator" /> </td>
            	
				<td class="toptbldataplain">Last Optical Collimation: <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit/EngineerLevel/OpticalCollimation"/> (<xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit/EngineerLevel/OpticalCollimationTestDate"/>)</td>
			
			</tr>
			
			<tr>
            
            	<td class="toptbldatasubplain" width="250">Comment: <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit/EngineerLevel/Comment" /> </td>
            
            	
           		<td class="toptbldataplain">Last Digital Collimation: <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit/EngineerLevel/DigitalCollimation"/> (<xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit/EngineerLevel/DigitalCollimationTestDate"/>)</td>
            
            </tr>
            
            <tr>
            	
            	<td class="subsectionheader">Rod</td>
            
            </tr>
            
            <tr>
            
                <td class="toptbldatasubplain" width="250">Make/Model/Serial Number: <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit/LevelingRod/Equipment/ManufacturerName" /> / <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit/LevelingRod/Equipment/ModelNumber" /> / <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit/LevelingRod/Equipment/SerialNumber" /> </td>
                
                <td class="toptbldataplain">Rod Material: 
             	  <xsl:call-template name="ConvertCodes">
                    <xsl:with-param name="code" select="./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit/LevelingRod/Equipment/MethodCode" />
                  
                  </xsl:call-template> </td>
            	
            </tr>
            
            <tr>
            
            	<td class="toptbldatasubplain">Rod Operator: <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit/LevelingRodOperator" /> </td>
            
            	<td class="toptbldataplain">Rod Level Used:
                <xsl:call-template name="ConvertCodes">
                  <xsl:with-param name="code" select="./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit/LevelingRod/LevelingRodLevelUsed" />
                </xsl:call-template>
				</td>
            
            </tr>
            
            <tr>
            
            	<td class="toptbldatasubplain">Rod Taped:
            	<xsl:call-template name="ConvertCodes">
                  <xsl:with-param name="code" select="./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit/LevelingRod/LevelingRodTaped" />
                </xsl:call-template>
				</td>
				
				<td class="toptbldataplain">CTE: <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit/LevelingRod/CoefficientThermalExpansion" /> </td>
				
			</tr>
			
			<tr>
            
            	<td class="toptbldatasubplain">Rod Temp:
            	
            			<xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit/AirTemperature" /><sup>o</sup>C
            			/ <xsl:value-of select="format-number(./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit/AirTemperature * 1.8 + 32,'##.0')" /><sup>o</sup>F

            	 </td>
            	
           		<td class="toptbldataplain">CTE Cal Temp: <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit/LevelingRod/CTECalibrationTemperature" /> <sup>o</sup>C</td>
            
            </tr>
            
            <tr>
            
            	<td class="toptbldatasubplain" width="250">Comment: <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit/LevelingRod/Comment" /> </td>
            
            </tr>
           
        	<xsl:choose>
        	 <xsl:when test="count(./Site/SiteData/SiteVisit/GagingStationLevels/Comments) &gt; 0">
             
               	<tr>
          			<td class="subsectionheader">Comments for Levels Run: </td>
          	    </tr>
          	    
          	    <tr>

          			<td class="toptbldatasubplain" colspan="7"><xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/Comments" /> </td>   
          
          		</tr>
     
	         </xsl:when>
     	  </xsl:choose> 
            
         </table>
         
         <!--end redone-->

<!--white space-->
		 <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 2px solid white">
           <tr>
        	<td>
        	</td>
           </tr>
        </table>       
  <!--end white space-->     
       
      
	   <xsl:for-each select="./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit">

        <table border="0" cellspacing="1" cellpadding="1" width="100%" style="border: 1px solid black">
          <tr>

            <td colspan="11" class="summaryheader">Gaging Station Levels Circuit <xsl:value-of select="CircuitNumber" /></td>

          </tr>
          
          
          <tr class="tblheader">

            <td class="levels" rowspan="1" align="center">Obj</td>
 
            <td class="levels" rowspan="1" align="center">Rod Temp (C)</td>

            <td class="levels" rowspan="1" align="center">BS</td>

            <td class="levels" rowspan="1" align="center">Corr BS</td>

            <td class="levels" rowspan="1" align="center">HI</td>

            <td class="levels" rowspan="1" align="center">FS</td>
 
            <td class="levels" rowspan="1" align="center">Corr FS</td>

            <td class="levels" rowspan="1" align="center">Elev</td>

            <td class="levels" rowspan="1" align="center">Closure Adj</td>

            <td class="levels" rowspan="1" align="center">Adj Elev</td>
            
            <td class="levels" rowspan="1" align="center">Comment</td>
            
            
          </tr>

          <xsl:for-each select="./CircuitNotes/LevelReading">
            <tr class="tbldata">

              <td class="levels" align="center">
                <xsl:value-of select="ObjectName" />
              </td>
			  
              <td class="levels" align="center">
                <xsl:value-of select="RodTemperature" />
              </td>

              <td class="levels" align="center">
                <xsl:value-of select="Backsight" />
              </td>

              <td class="levels" align="center">
                <xsl:value-of select="TempCorBacksight" />
              </td>

              <td class="levels" align="center">
                <xsl:value-of select="HeightOfInstrument" />
              </td>

              <td class="levels" align="center">
                <xsl:value-of select="Foresight" />
              </td>

              <td class="levels" align="center">
                <xsl:value-of select="TempCorForesight" />
              </td>

              <td class="levels" align="center">
                <xsl:value-of select="Elevation" />
              </td>

              <td class="levels" align="center">
                <xsl:value-of select="ClosureAdjustmentApplied" />
              </td>

              <td class="levels" align="center">
                <xsl:value-of select="AdjustedElevation" />
              </td>
              
              <td class="levels" align="center">
                <xsl:value-of select="Comment" />
              </td>

            </tr>
          </xsl:for-each>
          
          </table>
          
 <!--white space-->
		 <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 2px solid white">
           <tr>
        	<td>
        	</td>
           </tr>
        </table>       
  <!--end white space-->  
          
          <table border="0" cellspacing="1" cellpadding="1" width="100%" style="border: 1px solid black">
		  
		  <td colspan="11" class="summaryheader">Circuit <xsl:value-of select="CircuitNumber" /> Summary</td>

		    <tr>
		     
		     <td class="subsectionheader" colspan="3">Closure Error:</td>
		      <td class="toptbldataplain">
		       <xsl:value-of select="ClosureError" />
		      </td> 
		    
		    </tr>
		    
		    <tr>
		    
		     <td class="subsectionheader" colspan="3">Closure Err Adj:</td> 
		      <td class="toptbldataplain">
		       <xsl:value-of select="ClosureErrorAdjustment" />
		      </td>
		      
		    </tr>
		    
		    <tr>
		     <td class="subsectionheader" colspan="2">Comment:</td>
		     <td class="toptbldataplain" colspan="7">
		     	<xsl:value-of select="CircuitSummary/Comment" />
		     </td>
		    </tr>
		   	  	 
		  <!--</table>-->
		  
		  <!--<table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 0px solid white"> -->
		  <tr>

            <td class="toptblheadersub">Obj</td>
 
            <td class="toptblheader">Elev Found</td>

            <td class="toptblheader">Max Read Elev</td>

            <td class="toptblheader">Min Read Elev</td>
            
            <td class="toptblheader">Max-Min Diff</td>
            
            <td class="toptblheader">Description</td>
            

          </tr>
          
          <tr>
          
          	<td class="toptbldatasubplain">
          		<xsl:value-of select="StartingObjectName" />
          	</td>
          	
          	<td class="toptbldataplain">GIVEN
          		<!--<xsl:value-of select="StartingObjectGivenElev" /> -->
          	</td>
          	
          	
          </tr>          	
          	
          	
		  <xsl:for-each select="./CircuitSummary/Object">
            <tr>

              <td class="toptbldatasubplain">
                <xsl:value-of select="ObjectName" />
              </td>

              <td class="toptbldataplain">
                <xsl:value-of select="ElevationFound" />
              </td>

              <td class="toptbldataplain">
                <xsl:value-of select="MaxAjustedElevationRead" />
              </td>

              <td class="toptbldataplain">
                <xsl:value-of select="MinAdjustedElevationRead" />
              </td>
              
              <td class="toptbldataplain">
              	<xsl:value-of select="AdustedElevationDifference" />
              </td>
              
              <td class="toptbldataplain">
              	<xsl:value-of select="Description" />
              </td>


            </tr>
           
          </xsl:for-each>

		  
           </table>
		</xsl:for-each>

  				  

 		<xsl:choose>
 		 <xsl:when test="count(./Site/SiteData/SiteVisit/GagingStationLevels/WaterSurfaceReading) &gt; 0">
 		 
  <!--white space-->
		 <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 2px solid white">
           <tr>
        	<td>
        	</td>
           </tr>
        </table>       
  <!--end white space-->
 		 
		  <table border="0" cellspacing="1" cellpadding="1" width="100%" style="border: 1px solid black">
            <tr>

             <td colspan="11" class="summaryheader">Water Surface Readings</td>

            </tr> 
            
            
            
            <xsl:choose>
             <xsl:when test="count(./Site/SiteData/SiteVisit/GagingStationLevels/WaterSurfaceReading/Comment) &gt; 0">
             <tr>
               <td class="subsectionheader">Comment:</td>
             </tr>
              </xsl:when>
            </xsl:choose>
             
             <xsl:for-each select="./Site/SiteData/SiteVisit/GagingStationLevels/WaterSurfaceReading">
                <tr>
              	 <td class="toptbldatasubplain" colspan="6">
             	  <xsl:value-of select="Comment" />
             	 </td>
                </tr>
               </xsl:for-each>
             
            
            <tr>
            	<td class="toptblheadersub">WS Reading Time:</td>
            	
            	<td class="toptblheader">WS Reading:</td>
            	
            	<td class="toptblheader">DCP Reading:</td>
            	
            	<td class="toptblheader">Ref Gage Reading:</td>
            	
            	<td class="toptblheader">Ref Gage Name:</td>
            
            </tr>
            
            <xsl:for-each select="./Site/SiteData/SiteVisit/GagingStationLevels/WaterSurfaceReading">
            
             <tr>
            	
            	<td class="toptbldatasubplain">
            		<xsl:call-template name="striptime">
                  		<xsl:with-param name="str" select="ReadingDateTime" />
                 	</xsl:call-template>
                </td>
      
            	
            	<td class="toptbldataplain">
            		<xsl:value-of select="WaterSurfaceRead" />
            	</td>
      
            	
            	<td class="toptbldataplain">
            		<xsl:value-of select="DCPRead" />
            	</td>
       
            	
            	<td class="toptbldataplain">
            		<xsl:value-of select="CorrespondingReading/Reading" />
            	</td>
            	
            	<td class="toptbldataplain">
            		<xsl:value-of select="CorrespondingReading/ObjectName" />
            	</td>
            	
            </tr>
          </xsl:for-each>
         </table>
       </xsl:when>
      </xsl:choose>
      
 
        
       <xsl:choose>
 		 <xsl:when test="count(./Site/SiteData/SiteVisit/GagingStationLevels/InsideGageReading[text()]) &gt; 0">
 		 
 <!--white space-->
		 <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 2px solid white">
           <tr>
        	<td>
        	</td>
           </tr>
        </table>       
  <!--end white space-->  
        
          <xsl:for-each select="./Site/SiteData/SiteVisit/GagingStationLevels/InsideGageReading">

           <table border="0" cellspacing="1" cellpadding="1" width="100%" style="border: 1px solid black">
            <tr>

             <td colspan="11" class="summaryheader">Inside Gage Reading</td>

            </tr> 
            
            
            <xsl:choose>
             <xsl:when test="count(./InsideGageNotes) &gt; 0">
            <tr>
            	<td class="subsectionheader">Comment:</td>
            	 <td class="toptbldataplain" colspan="6">
            	 	<xsl:value-of select="InsideGageNotes" />
            	 </td>
            </tr>
             </xsl:when>
            </xsl:choose>
            
            <tr>
            	<td class="toptblheadersub">Index Elev</td>
            	
            	<td class="toptblheader">Tapedown</td>
            	
            	<td class="toptblheader">Water Surface Elev</td>
            	
            	<td class="toptblheader">ETG Weight Length</td>
            </tr>
            
            <tr>
            	<td class="toptbldatasubplain">
            		<xsl:value-of select="IndexElevation" />
            	</td>
            	
            	<td class="toptbldataplain">
            		<xsl:value-of select="TapeDown" />
            	</td>
            	
            	<td class="toptbldataplain">
            		<xsl:value-of select="WaterSurfaceElevation" />
            	</td>
            	
            	<td class="toptbldataplain">
            		<xsl:value-of select="ETGWeight" />
            	</td>
            </tr>
            

            
            </table>
        </xsl:for-each>
       </xsl:when>
      </xsl:choose>

        
       <xsl:choose>
 		 <xsl:when test="count(./Site/SiteData/SiteVisit/GagingStationLevels/StaffGageReadings) &gt; 0">
 		       
<!--white space-->
		 <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 2px solid white">
           <tr>
        	<td>
        	</td>
           </tr>
        </table>       
  <!--end white space-->    
        
          <table border="0" cellspacing="1" cellpadding="1" width="100%" style="border: 1px solid black">
            <tr>

             <td colspan="11" class="summaryheader">Staff Gage Readings</td>

            </tr> 
            
            <tr>
            	<td class="toptblheadersub">Section</td>
            	
            	<td class="toptblheader">Staff Reading</td>
            	
            	<td class="toptblheader">Elev Found</td>
            	
            	<td class="toptblheader">Staff Corr</td>
            	
            	<td class="toptblheader">Comment</td>
            </tr>
           
          <xsl:for-each select="./Site/SiteData/SiteVisit/GagingStationLevels/StaffGageReadings/StaffGageReading">  
            <tr>
            
            	<td class="toptbldatasubplain">
            		<xsl:value-of select="StaffGageSection" />
            	</td>
            	
            	<td class="toptbldataplain">
            		<xsl:value-of select="StaffGageRead" />
            	</td>
            	
            	<td class="toptbldataplain">
            		<xsl:value-of select="ElevationFound" />
            	</td>
            	
            	<td class="toptbldataplain">
            		<xsl:value-of select="StaffGageCorrection" />
            	</td>
            	
            	<td class="toptbldataplain">
            		<xsl:value-of select="Comment" />
            	</td>
            	
            </tr>
          </xsl:for-each>            
         </table>
         
         </xsl:when>
        </xsl:choose>
         
        <xsl:choose>
 		 <xsl:when test="count(./Site/SiteData/SiteVisit/GagingStationLevels/WireWeightGageReadings) &gt; 0"> 
 		 
 <!--white space-->
		 <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 2px solid white">
           <tr>
        	<td>
        	</td>
           </tr>
        </table>       
  <!--end white space-->    
         
         <table border="0" cellspacing="1" cellpadding="1" width="100%" style="border: 1px solid black">
            <tr>

             <td colspan="11" class="summaryheader">Wire Weight Gage Readings</td>

            </tr> 
            
            <tr>
            	<td class="toptblheadersub">Reading</td>
            	
            	<td class="toptblheader">Elev Found</td>
            	
            	<td class="toptblheader">WWG Corr</td>
            	
            	<td class="toptblheader">Comment</td>
            </tr>
            
           <xsl:for-each select="./Site/SiteData/SiteVisit/GagingStationLevels/WireWeightGageReadings/WireWeightGageReading">  
           	<tr>
           	
           		<td class="toptbldatasubplain">
           			<xsl:value-of select="WireWeightGageRead" />
           		</td>
           		
           		<td class="toptbldataplain">
           			<xsl:value-of select="ElevationFound" />
           		</td>
           		
           		<td class="toptbldataplain">
           			<xsl:value-of select="WireWeightGageCorrection" />
           		</td>
           		
           		<td class="toptbldataplain">
           			<xsl:value-of select="Comment" />
           		</td>
           		
           	</tr>
           </xsl:for-each>
          </table>
         </xsl:when>
        </xsl:choose>
        
 <!--final summary-->
         <xsl:choose>
 		 <xsl:when test="count(./Site/SiteData/SiteVisit/GagingStationLevels/FinalSummary) &gt; 0"> 
 		 
 <!--white space-->
		 <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 2px solid white">
           <tr>
        	<td>
        	</td>
           </tr>
        </table>       
  <!--end white space--> 
  
  <table border="0" cellspacing="1" cellpadding="1" width="100%" style="border: 1px solid black">
      <tr>

         <td colspan="11" class="summaryheader">Final Summary</td>

      </tr> 
      
      <tr>
      
      	<td class="toptblheadersub">Obj</td>
      	
      	<td class="toptblheader">Elev Last Run</td>
      	
      	<td class="toptblheader">Elev This Run</td>
      	
      	<td class="toptblheader">Diff</td>
      	
      	<td class="toptblheader">Cir Num</td>
      	
      	<td class="toptblheader">Comment</td>
      
      </tr>
	
	  <xsl:for-each select="./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit">
		<tr>
          
          	<td class="toptbldatasubplain">
          		<xsl:value-of select="StartingObjectName" />
          	</td>
          	
          	<td class="toptbldataplain">
          		<xsl:value-of select="StartingObjectGivenElev" /> 
          	</td>
          	
          	<td class="toptbldataplain">
          		GIVEN
          	</td>
       </tr>  
       </xsl:for-each>       
      
      <xsl:for-each select="./Site/SiteData/SiteVisit/GagingStationLevels/FinalSummary/Object">
      <tr>
      
      	<td class="toptbldatasubplain">
      		<xsl:value-of select="ObjectName"/>
      	</td>
      	
      	<td class="toptbldataplain">
      		<xsl:value-of select="PreviousElevation"/>
      	</td>
      	
      	<td class="toptbldataplain">
      		<xsl:value-of select="ElevationFound"/>
      	</td>
      	
      	<td class="toptbldataplain">
      		<xsl:value-of select="ElevationDifference"/>
      	</td>
      	
      	<td class="toptbldataplain">
      		<xsl:value-of select="CircuitNumber"/>
      	</td>
      	
      	<td class="toptbldataplain">
      		<xsl:value-of select="Comment"/>
      	</td>
      		
      </tr>
      </xsl:for-each>
  
  </table>
  
  </xsl:when>
  </xsl:choose>
        
		
      </td>
    </tr>
  </xsl:template>


<!--*************************Two Peg Tests********************************************-->
<xsl:template name="PegTest">
	  <!--add in peg test info here -->
	<!--	<table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 0px solid white"> -->
        
        
        <!--insert white space-->
        <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 2px solid white">
           <tr>
        	<td>
        	</td>
           </tr>
        </table>
        
         <table border="0" cellspacing="2" cellpadding="2" width="100%" style="border: 1px solid black">
                    <tr>

            <td colspan="11" class="summaryheader">Peg Test of Engineer's Level</td>

          </tr>
          
          
          	<tr>
          	
          	<td class="subsectionheader">Instrument</td>
          	
          	</tr>
          	
          	<tr>
          	
          	 <td class="toptbldatasubplain" width="250">Make/Model/Serial Number: <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/EngineerLevel/Equipment/ManufacturerName" /> / <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/EngineerLevel/Equipment/ModelNumber" /> / <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/EngineerLevel/Equipment/SerialNumber" /></td>
            
             <td class="toptbldataplain">System Type: 
             	<xsl:call-template name="ConvertCodes">
                  <xsl:with-param name="code" select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/EngineerLevel/Equipment/MethodCode" />
                </xsl:call-template> </td>
            
            </tr>
            
            <tr>
            
            	<td class="toptbldatasubplain">Instrument Operator: <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/EngineerLevelOperator" /> </td>
            	
				<td class="toptbldataplain">Last Optical Collimation: <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/EngineerLevel/OpticalCollimation"/> (<xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/EngineerLevel/OpticalCollimationTestDate"/>)</td>
			
			</tr>
			
			<tr>
            
            	<td class="toptbldatasubplain" width="250">Comment: <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/EngineerLevel/Comment" /> </td>
            
            	
           		<td class="toptbldataplain">Last Digital Collimation: <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/EngineerLevel/DigitalCollimation"/> (<xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/EngineerLevel/DigitalCollimationTestDate"/>)</td>
            
            </tr>
            
            <tr>
            	
            	<td class="subsectionheader">Rod</td>
            
            </tr>
            
            <tr>
            
                <td class="toptbldatasubplain" width="250">Make/Model/Serial Number: <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/LevelingRod/Equipment/ManufacturerName" /> / <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/LevelingRod/Equipment/ModelNumber" /> / <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/LevelingRod/Equipment/SerialNumber" /> </td>
                
                <td class="toptbldataplain">Rod Material: 
             	  <xsl:call-template name="ConvertCodes">
                    <xsl:with-param name="code" select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/LevelingRod/Equipment/MethodCode" />
                  </xsl:call-template> </td>
            	
            </tr>
            
            <tr>
            
            	<td class="toptbldatasubplain">Rod Operator: <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/LevelingRodOperator" /> </td>
            
            	<td class="toptbldataplain">Rod Level Used:
                <xsl:call-template name="ConvertCodes">
                  <xsl:with-param name="code" select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/LevelingRod/LevelingRodLevelUsed" />
                </xsl:call-template>
				</td>
            
            </tr>
            
            <tr>
            
            	<td class="toptbldatasubplain">Rod Taped:
            	<xsl:call-template name="ConvertCodes">
                  <xsl:with-param name="code" select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/LevelingRod/LevelingRodTaped" />
                </xsl:call-template>
				</td>
				
				<td class="toptbldataplain">CTE: <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/LevelingRod/CoefficientThermalExpansion" /> </td>
				
			</tr>
			
			<tr>
            
            	<td class="toptbldatasubplain">Rod Temp:
            	
            			<xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/AirTemperature" /><sup>o</sup>C
            			/ <xsl:value-of select="format-number(./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/AirTemperature * 1.8 + 32,'##.0')" /><sup>o</sup>F

            	 </td>
            	
            	
            	
           		<td class="toptbldataplain">CTE Cal Temp: <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/LevelingRod/CTECalibrationTemperature" /> <sup>o</sup>C </td>
            
            </tr>
            
            <tr>
            
            <td class="toptbldatasubplain" width="250">Comment: <xsl:value-of select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/LevelingRod/Comment" /> </td>
            
            </tr>
            
         </table>
        
        <!--draw the peg test diagram-->
        <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 2px solid white">
           <tr>
        	<td>
        	</td>
           </tr>
        </table>
        
         <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 1px solid black">
          <tr>
          
          	<td class="pegdrawtoprod" align="center">||&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;||</td>
          	
          </tr>
    
          <tr>
          
          	<td class="pegdrawtoprod" align="center">R<sub>4</sub>||----d<sub>4</sub>--------------------------------------------------_____-d<sub>3</sub>----||R<sub>3</sub></td>
          	
          </tr>
          
          <tr>
          
          	<td class="pegdrawtoprod" align="center">R<sub>1</sub>||----d<sub>1</sub>---_____------------------------------------------------d<sub>2</sub>----||R<sub>2</sub></td>
          	
          </tr>
          
          <tr>
          
          	<td class="pegdrawtoprod" align="center">||&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;/&#xa0;\&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;/&#xa0;\&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;||</td>
          	
          </tr>
          
           <tr>
          
          	<td class="pegdrawtoprod" align="center">||&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;/&#xa0;1&#xa0;\&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;/&#xa0;2&#xa0;\&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;||</td>
          	
          </tr>
          
           <tr>
           	
           	<td class="pegdrawtoprod" align="center">___||________/_____\________________________________________/_____\______||___</td>

           </tr>
        
        </table>
		

		
		<!--draw the collimation calculations-->
		
		<table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 2px solid white">
           <tr>
        	<td>
        	</td>
           </tr>
        </table>
		
		<table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 1px solid black">
		
	     <tr>
	     
	     	<td colspan="11" class="toptblheader" align="center">(&#xa0;R<sub>1</sub>&#xa0;+&#xa0;R<sub>3</sub>&#xa0;)&#xa0;-&#xa0;(&#xa0;R<sub>2</sub>&#xa0;+&#xa0;R<sub>4</sub>&#xa0;)&#xa0;</td>
		 
		 </tr>	
		 
		 <tr>
		 
		 	<td colspan="11" class="toptblheader" align="center">Collimation&#xa0;=&#xa0;c&#xa0;=&#xa0;100&#xa0;*&#xa0;[------------------------------------]&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;</td>
		 
		 </tr>
		 
		 <tr>
		 
		 	<td colspan="11" class="toptblheader" align="center">(&#xa0;d<sub>2</sub>&#xa0;+&#xa0;d<sub>4</sub>&#xa0;)&#xa0;-&#xa0;(&#xa0;d<sub>1</sub>&#xa0;+&#xa0;d<sub>3</sub>&#xa0;)&#xa0;</td>
		 
		 </tr>	
		 
		 <tr>
		 
		 	<td colspan="11" class="toptbldataplain">&#xa0;Average of d<sub>2</sub> and d<sub>4</sub> should be less than 110 ft.</td>
		 
		 </tr>
			
		</table>
		
		<!--Peg test numbers-->
		
		<table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 2px solid white">
           <tr>
        	<td>
        	</td>
           </tr>
        </table>
        
        <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 1px solid black">
        
        <!--optical peg tests-->
        
        <xsl:choose>
 		 <xsl:when test="count(./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/InitialPegTest/OpticalCollimationTest) &gt; 0">
        
          <xsl:for-each select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/InitialPegTest/OpticalCollimationTest">
         
            <tr>
          	
            	<td colspan="11" class="toptblheaderpeg" align="center">OPTICAL SYSTEM</td>
           
            </tr>
            
            <tr>
            	<td>&#xa0;
            	</td>
            </tr>
            
            <tr>
            
           		<td colspan="11" class="toptbldataplain" align="center">(&#xa0;<xsl:value-of select="FirstInstrumentPosition/NearPegElevation"/>&#xa0;+&#xa0;<xsl:value-of select="SecondInstrumentPosition/NearPegElevation"/>&#xa0;)&#xa0;-&#xa0;(&#xa0;<xsl:value-of select="FirstInstrumentPosition/FarPegElevation"/>&#xa0;+&#xa0;<xsl:value-of select="SecondInstrumentPosition/FarPegElevation"/>&#xa0;)&#xa0;</td>
		 
			</tr>	
		 
		 	<tr>
		 
		 		<td colspan="11" class="toptbldataplain" align="center">&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;c&#xa0;=&#xa0;100&#xa0;*&#xa0;[---------------------------------------------------------]&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;=&#xa0;<b><xsl:value-of select="Collimation" /> ft/100ft as found</b></td>
		 
		 	</tr>
		 
		 	<tr>
		 
		 		<td colspan="11" class="toptbldataplain" align="center">(&#xa0;<xsl:value-of select="FirstInstrumentPosition/FarPegDistance"/>&#xa0;+&#xa0;<xsl:value-of select="SecondInstrumentPosition/FarPegDistance"/>&#xa0;)&#xa0;-&#xa0;(&#xa0;<xsl:value-of select="FirstInstrumentPosition/NearPegDistance"/>&#xa0;+&#xa0;<xsl:value-of select="SecondInstrumentPosition/NearPegDistance"/>&#xa0;)&#xa0;</td>
		 
		 	</tr>
		 	
		 	<tr>
            	<td>&#xa0;
            	</td>
            </tr>
		 		
            
          </xsl:for-each>
         </xsl:when>
        </xsl:choose>
        
        <tr>
	 	
	 		<xsl:choose>
 		 		<xsl:when test="count(./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/OpticalAdjusmentMade) &gt; 0">
	 				<td class="toptbldataplain" width="260">&#xa0;Optical Adjustment Made:
	 		    	 <xsl:call-template name="ConvertCodes">
                  		<xsl:with-param name="code" select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/OpticalAdjusmentMade" />
               		 </xsl:call-template>
					</td>
				</xsl:when>
				<xsl:otherwise>
					<td class="toptbldataplain" width="260">&#xa0;No optical adjustment made.</td>
				</xsl:otherwise>
			</xsl:choose>
			
		</tr>
				
         
        </table>
        
       <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 2px solid white">
          <tr>
        	<td>
        	</td>
          </tr>
       </table>
       <!--digital peg test-->
       
       <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 1px solid black">
        
        <xsl:choose>
 		 <xsl:when test="count(./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/InitialPegTest/DigitalCollimationTest) &gt; 0">
        
          <xsl:for-each select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/InitialPegTest/DigitalCollimationTest">
         
            <tr>
          	
            	<td colspan="11" class="toptblheaderpeg" align="center">DIGITAL SYSTEM</td>
           
            </tr>
            
            <tr>
            	<td>&#xa0;
            	</td>
            </tr>
            
            <tr>
            
           		<td colspan="11" class="toptbldataplain" align="center">(&#xa0;<xsl:value-of select="FirstInstrumentPosition/NearPegElevation"/>&#xa0;+&#xa0;<xsl:value-of select="SecondInstrumentPosition/NearPegElevation"/>&#xa0;)&#xa0;-&#xa0;(&#xa0;<xsl:value-of select="FirstInstrumentPosition/FarPegElevation"/>&#xa0;+&#xa0;<xsl:value-of select="SecondInstrumentPosition/FarPegElevation"/>&#xa0;)&#xa0;</td>
		 
			</tr>	
		 
		 	<tr>
		 
		 		<td colspan="11" class="toptbldataplain" align="center">&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;c&#xa0;=&#xa0;100&#xa0;*&#xa0;[---------------------------------------------------------]&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;=&#xa0;<b><xsl:value-of select="Collimation" /> ft/100ft as found</b></td>
		 
		 	</tr>
		 
		 	<tr>
		 
		 		<td colspan="11" class="toptbldataplain" align="center">(&#xa0;<xsl:value-of select="FirstInstrumentPosition/FarPegDistance"/>&#xa0;+&#xa0;<xsl:value-of select="SecondInstrumentPosition/FarPegDistance"/>&#xa0;)&#xa0;-&#xa0;(&#xa0;<xsl:value-of select="FirstInstrumentPosition/NearPegDistance"/>&#xa0;+&#xa0;<xsl:value-of select="SecondInstrumentPosition/NearPegDistance"/>&#xa0;)&#xa0;</td>
		 
		 	</tr>
		 	
		 	<tr>
            	<td>&#xa0;
            	</td>
            </tr>
		 		
            
          </xsl:for-each>
         </xsl:when>
        </xsl:choose>
        
	 		<xsl:choose>
 		 		<xsl:when test="count(./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/DigitalAdjusmentMade) &gt; 0">
	 				<td class="toptbldataplain" width="260">&#xa0;Digital Adjustment Made:
	 		    	 <xsl:call-template name="ConvertCodes">
                  		<xsl:with-param name="code" select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/DigitalAdjusmentMade" />
               		 </xsl:call-template>
					</td>
				</xsl:when>
				<xsl:otherwise>
					<td class="toptbldataplain" width="260">&#xa0;No digital adjustment made.</td>
				</xsl:otherwise>
			</xsl:choose>
         
        </table> 
        
       <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 2px solid white">
          <tr>
        	<td>
        	</td>
          </tr>
       </table>

	  <xsl:choose>
 		 <xsl:when test="count(./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/PostAdjustmentPegTest/OpticalCollimationTest) &gt; 0">
        
          <xsl:for-each select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/PostAdjustmentPegTest/OpticalCollimationTest">
	  
	  <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 1px solid black">
	  
	  	<tr>
	  
	  		<td colspan="11" class="toptblheaderpeg" align="center">OPTICAL COLLIMATION TEST AFTER ADJUSTMENT</td>
	  
	 	</tr>
	 	
	 	<tr>
            	
            <td>&#xa0;
            </td>
        </tr>
            
         <tr>
            
         	<td colspan="11" class="toptbldataplain" align="center">(&#xa0;<xsl:value-of select="FirstInstrumentPosition/NearPegElevation"/>&#xa0;+&#xa0;<xsl:value-of select="SecondInstrumentPosition/NearPegElevation"/>&#xa0;)&#xa0;-&#xa0;(&#xa0;<xsl:value-of select="FirstInstrumentPosition/FarPegElevation"/>&#xa0;+&#xa0;<xsl:value-of select="SecondInstrumentPosition/FarPegElevation"/>&#xa0;)&#xa0;</td>
		 
		 </tr>	
		 
		 <tr>
		 
		 	<td colspan="11" class="toptbldataplain" align="center">&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;c&#xa0;=&#xa0;100&#xa0;*&#xa0;[---------------------------------------------------------]&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;=&#xa0;<b><xsl:value-of select="Collimation" /> ft/100ft as found</b></td>
		 
		 </tr>
		 
		 <tr>
		 
		 	<td colspan="11" class="toptbldataplain" align="center">(&#xa0;<xsl:value-of select="FirstInstrumentPosition/FarPegDistance"/>&#xa0;+&#xa0;<xsl:value-of select="SecondInstrumentPosition/FarPegDistance"/>&#xa0;)&#xa0;-&#xa0;(&#xa0;<xsl:value-of select="FirstInstrumentPosition/NearPegDistance"/>&#xa0;+&#xa0;<xsl:value-of select="SecondInstrumentPosition/NearPegDistance"/>&#xa0;)&#xa0;</td>
		 
		 </tr>
		 	
		 <tr>
           	<td>&#xa0;
           	</td>
         </tr>
	  
	  </table>
	 
	 </xsl:for-each>
	</xsl:when>
   </xsl:choose>
   
       <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 2px solid white">
          <tr>
        	<td>
        	</td>
          </tr>
       </table>

	  <xsl:choose>
 		 <xsl:when test="count(./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/PostAdjustmentPegTest/DigitalCollimationTest) &gt; 0">
        
          <xsl:for-each select="./Site/SiteData/SiteVisit/GagingStationLevels/LevelInstrumentPegTest/PostAdjustmentPegTest/DigitalCollimationTest">
	  
	  <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 1px solid black">
	  
	  	<tr>
	  
	  		<td colspan="11" class="toptblheaderpeg" align="center">DIGITAL COLLIMATION TEST AFTER ADJUSTMENT</td>
	  
	 	</tr>
	 	
        <tr>
           	<td>&#xa0;
           	</td>
        </tr>
            
        <tr>
            
        	<td colspan="11" class="toptbldataplain" align="center">(&#xa0;<xsl:value-of select="FirstInstrumentPosition/NearPegElevation"/>&#xa0;+&#xa0;<xsl:value-of select="SecondInstrumentPosition/NearPegElevation"/>&#xa0;)&#xa0;-&#xa0;(&#xa0;<xsl:value-of select="FirstInstrumentPosition/FarPegElevation"/>&#xa0;+&#xa0;<xsl:value-of select="SecondInstrumentPosition/FarPegElevation"/>&#xa0;)&#xa0;</td>
		 
		</tr>	
		 
		<tr>
		 
			<td colspan="11" class="toptbldataplain" align="center">&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;c&#xa0;=&#xa0;100&#xa0;*&#xa0;[---------------------------------------------------------]&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;&#xa0;=&#xa0;<b><xsl:value-of select="Collimation" /> ft/100ft as found</b></td>
		 
		</tr>
		 
		<tr>
		 
			<td colspan="11" class="toptbldataplain" align="center">(&#xa0;<xsl:value-of select="FirstInstrumentPosition/FarPegDistance"/>&#xa0;+&#xa0;<xsl:value-of select="SecondInstrumentPosition/FarPegDistance"/>&#xa0;)&#xa0;-&#xa0;(&#xa0;<xsl:value-of select="FirstInstrumentPosition/NearPegDistance"/>&#xa0;+&#xa0;<xsl:value-of select="SecondInstrumentPosition/NearPegDistance"/>&#xa0;)&#xa0;</td>
		 
		</tr>
		 	
		<tr>
           	<td>&#xa0;
           	</td>
        </tr>
	  
	  </table>
	 
	 </xsl:for-each>
	</xsl:when>
   </xsl:choose>

      
  </xsl:template>


<!--*************************Streamflow Gage Height of Zero Flow Inspection***********************-->

  <xsl:template name="GHZFInsp">
    <!--white space-->
		 <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 2px solid white">
           <tr>
        	<td>
        	</td>
           </tr>
        </table>       
  <!--end white space--> 
    
    <tr>
      <td>
        <table border="0" cellspacing="2" cellpadding="2" width="100%" style="border: 1px solid black">
          <tr>

            <td colspan="11" class="summaryheader">Gage Height of Zero Flow</td>

          </tr>

          <tr>

            <td class="toptblheadersub">Time</td>

            <td class="toptbldata2">GZF (ft)</td>

            <td class="toptblheader">Acc (ft)</td>

            <td class="toptblheader">H<sub>2</sub>O Dep (ft)</td>

            <td class="toptblheader">Stage (ft)</td>

            <td class="toptblheader">Comment</td>

          </tr>

          <xsl:for-each select="./Site/SiteData/SiteVisit/StreamZeroFlowInspection">
            <tr>

              <td class="toptbldatasubplain">
                <xsl:call-template name="striptime">
                  <xsl:with-param name="str" select="InspectionDateTime" />
                </xsl:call-template>
              </td>

              <td class="toptbldata2">
                <xsl:value-of select="GageHeightZeroFlowMeasure" />
              </td>

              <td class="toptbldataplain">
                <xsl:value-of select="GageHeightZeroFlowAccuracy" />
              </td>

              <td class="toptbldataplain">
                <xsl:value-of select="DepthWaterMeasure" />
              </td>

              <td class="toptbldataplain">
                <xsl:value-of select="StreamStageMeasure" />
              </td>

              <td class="toptbldataplain">
                <xsl:value-of select="Comment" />
              </td>

            </tr>
          </xsl:for-each>
          
          
        </table>
      </td>
    </tr>
  </xsl:template>

<!--*****************Channel-Level Discharge Measurement Info***************-->

  <xsl:template name="Channels">
  <table border="0" cellspacing="2" cellpadding="2" width="100%" style="border: 1px solid black"> 
      <tr>

		<xsl:choose>
		 <xsl:when test="../MeasurementUnusedIndicator='false'">
           <td colspan="11" class="summaryheader">Channel
          <xsl:value-of select="ChannelNumber" />
          (<xsl:value-of select="ChannelName" />)

          Summary -
          <xsl:call-template name="ConvertCodes">
            <xsl:with-param name="code" select="MeasurementMethodCode" />
            <xsl:with-param name="desc" select="MeasurementMethodCode/@Description" />
          </xsl:call-template>
          Measurement</td>
         </xsl:when>
         
         <xsl:when test="../MeasurementUnusedIndicator='true'">
           <td colspan="11" class="unusedheader">Unused Channel
          <xsl:value-of select="ChannelNumber" />
		  (<xsl:value-of select="ChannelName" />)
          Summary -
          <xsl:call-template name="ConvertCodes">
            <xsl:with-param name="code" select="MeasurementMethodCode" />
            <xsl:with-param name="desc" select="MeasurementMethodCode/@Description" />
          </xsl:call-template>
          Measurement</td>
         </xsl:when>
         
         <xsl:otherwise>
          <td colspan="11" class="summaryheader">

          Channel
          <xsl:value-of select="ChannelNumber" />
		  (<xsl:value-of select="ChannelName" />)
          Summary -
          <xsl:call-template name="ConvertCodes">
            <xsl:with-param name="code" select="MeasurementMethodCode" />
            <xsl:with-param name="desc" select="MeasurementMethodCode/@Description" />
          </xsl:call-template>
          Measurement
        </td>
         </xsl:otherwise>
        </xsl:choose>


      </tr>

	<tr>
     <td class="subsectionheader" colspan="4">
          <xsl:call-template name="ConvertCodes">
            <xsl:with-param name="code" select="DeploymentMethodCode" />
            <xsl:with-param name="desc" select="DeploymentMethodCode/@Description" />
          </xsl:call-template>
          Measurement
        </td>
    </tr>
      
      <tr>

        <td class="toptbldatasubplain" colspan="2">Meas Flow:
          <xsl:value-of select="DischargeMeasure" />

          cfs 
          
        </td>


        <td class="toptbldataplain">Vel Method:
          <xsl:call-template name="ConvertCodes">
            <xsl:with-param name="code" select="VelocityMethodCode" />
            <xsl:with-param name="desc" select="VelocityMethodCode/@Description" />
          </xsl:call-template>
        </td>
        
      </tr>
      
      <tr>

        <td class="toptbldatasubplain" colspan="2">Horiz Flow:
          <xsl:call-template name="ConvertCodes">
            <xsl:with-param name="code" select="HorizontalFlowCode" />
            <xsl:with-param name="desc" select="HorizontalFlowCode/@Description" />
          </xsl:call-template>
        </td>

        <td class="toptbldataplain">Vel Desc:
          <xsl:call-template name="ConvertCodes">
            <xsl:with-param name="code" select="VelocityDistributionCode" />
            <xsl:with-param name="desc" select="VelocityDistributionCode/@Description" />
          </xsl:call-template>
        </td>
      
      </tr>
      
      <tr>
        
        <td class="toptbldatasubplain" colspan="2">Vert Vel Desc:
          <xsl:call-template name="ConvertCodes">
            <xsl:with-param name="code" select="VerticalVelocityDistributionCode" />
            <xsl:with-param name="desc" select="VerticalVelocityDistributionCode/@Description" />
          </xsl:call-template>
        </td>

      	
      	<td class="toptbldataplain" colspan="2">Channel Conditions:
      	  <xsl:call-template name="ConvertCodes">
      	  	<xsl:with-param name="code" select="ChannelEvennessCode" />
      	  	<xsl:with-param name="desc" select="ChannelEvennessCode/@Description" />
      	  </xsl:call-template>
      	  ,
      	  <xsl:call-template name="ConvertCodes">
            <xsl:with-param name="code" select="ChannelStabilityCode" />
            <xsl:with-param name="desc" select="ChannelStabilityCode/@Description" />
          </xsl:call-template>
          ,
          <xsl:call-template name="ConvertCodes">
            <xsl:with-param name="code" select="ChannelMaterialCode" />
            <xsl:with-param name="desc" select="ChannelMaterialCode/@Description" />
          </xsl:call-template>
      	</td>
      
      </tr>
      
     
       
       <tr>
         
         <td class="toptbldatasubplain" colspan="4">Sect Loc.:
          <xsl:call-template name="ConvertCodes">
            <xsl:with-param name="code" select="SectionLocationCode" />
            <xsl:with-param name="desc" select="SectionLocationCode/@Description" />
          </xsl:call-template>

          -
          <xsl:value-of select="SectionDistanceMeasure" />

          ft. to gage
        </td>
        
      </tr>
    

      <xsl:choose>
        <xsl:when test="MeasurementMethodCode='QADCP'">
          <xsl:call-template name="ADCP" />
        </xsl:when>

        
        <xsl:when test="MeasurementMethodCode='QSCMM' and VelocityMethodCode='VPAA' or VelocityMethodCode='VPYG' or VelocityMethodCode='VIPAA' or VelocityMethodCode='VIPYG'">
          <xsl:call-template name="MidsectionPrice" />
        </xsl:when> 
        
        <xsl:when test="MeasurementMethodCode='QSCMM' and VelocityMethodCode='VADV'">
          <xsl:call-template name="MidsectionADV" />
        </xsl:when>
        
        <xsl:when test="MeasurementMethodCode='QSCMM' and VelocityMethodCode='VADCP'">
          <xsl:call-template name="MidsectionADCP" />
        </xsl:when>
        
        <xsl:when test="MeasurementMethodCode='QSCMM'">
          <xsl:call-template name="Midsection" />
        </xsl:when>

        <xsl:when test="MeasurementMethodCode='QFLUM'">
          <xsl:call-template name="Flume" />
        </xsl:when>

        <xsl:when test="MeasurementMethodCode='QVOLM'">
          <xsl:call-template name="Volumetric" />
        </xsl:when>

        <xsl:when test="MeasurementMethodCode='QWEIR'">
          <xsl:call-template name="Weir" />
        </xsl:when>

        
      </xsl:choose>
   </table> 
  </xsl:template>
  


<!--********************ADCP Measurement***********************-->

  <xsl:template name="ADCP">
    <tr>
    <td colspan="4" class="subsectionheader">ADCP Instrument and Configuration Details</td>
    </tr>
    
    <tr>
    
      <td class="toptbldatasubplain" colspan="2">Manufacturer/Model:
      <xsl:value-of select="./AdcpDischargeMeasurement/AcousticDopplerCurrentProfiler/SensorType/ManufacturerName" />
      /
      <xsl:value-of select="./AdcpDischargeMeasurement/AcousticDopplerCurrentProfiler/SensorType/ModelNumber" />
      </td>

      <td class="toptbldataplain" colspan="2">Serial No:
  
        <xsl:value-of select="./AdcpDischargeMeasurement/AcousticDopplerCurrentProfiler/SerialNumber" />
      </td>
      
    </tr>
    
    <tr>

     <td class="toptbldatasubplain" colspan="2">ADCP Frequency:
     	<xsl:value-of select="./AdcpDischargeMeasurement/AcousticDopplerCurrentProfiler/FrequencyCode" />
     	kHz
      </td>
      
     <td class="toptbldataplain">Firmware:
     	<xsl:value-of select="./AdcpDischargeMeasurement/FirmwareVersionText" />
     </td>
      
   </tr>
   
   <tr>
   
   	<td class="toptbldatasubplain" colspan="2">Software:
   	 <xsl:value-of select="./AdcpDischargeMeasurement/SoftwareVersionText" />
     </td>
     
           
       <xsl:choose>
        <xsl:when test="./AdcpDischargeMeasurement/InstrumentTimeSynchronized[text()='true']">
        <td class="toptbldataplain">
         Time Synced at <xsl:value-of select="./AdcpDischargeMeasurement/InstrumentTimeSynchronizedDateTime" />
        </td>
        </xsl:when>
       <xsl:otherwise>
       <td class="toptbldata2">
       Time Not Synced
       </td>
       </xsl:otherwise>
       </xsl:choose>
     
   </tr>
   
   <tr>
   
    
      <xsl:choose>
    	 <xsl:when test="./AdcpDischargeMeasurement/InstrumentTested[text()='true']">
    	<td class="toptbldatasubplain" colspan="2">    	
    	Diag Test Completed
    	</td>
         </xsl:when>
        <xsl:otherwise>
        <td class="toptbldatasub2" colspan="2">
        Diag Test Not Completed
        </td>
        </xsl:otherwise>
      </xsl:choose>
    
    
    
      <xsl:choose>
        <xsl:when test="./AdcpDischargeMeasurement/CompassCallibrationCompleted[text()='true']">
    	<td class="toptbldataplain">
    	Compass Calibrated
    	</td>
    	</xsl:when>
    	
    	<xsl:otherwise>
    	
    	<xsl:choose>
    	 <xsl:when test="./AdcpDischargeMeasurement/AcousticDopplerCurrentProfiler/SensorType/ModelNumber[text='StreamPro ADCP']" >
    		<td class="toptblheaderp">
    			Compass Not Calibrated or Not Present
    		</td>
    	 </xsl:when>
    	 
    	 <xsl:otherwise>
    	  	<td class="toptbldata2">
    	  	Compass Not Calibrated
    	  	</td>
    	  </xsl:otherwise>
    	</xsl:choose>
    	  
    	 
        </xsl:otherwise>
      </xsl:choose>
  
   </tr>
   
   <tr>
       
      <xsl:choose>
        <xsl:when test="./AdcpDischargeMeasurement/MovingBedEffected[text()='true']">
        <td class="toptbldatasub2" colspan="2">
    	Moving Bed Detected
    	</td>
    	</xsl:when>
    	<xsl:otherwise>
    	<td class="toptbldatasubplain" colspan="2">
    	Moving Bed Not Present
    	</td>
        </xsl:otherwise>
      </xsl:choose>
      
     <xsl:choose>
      <xsl:when test="count(./AdcpDischargeMeasurement/GPSDeviceUsedDesc) &gt; 0" >
       <td class="toptbldataplain"> GPS:
       <xsl:value-of select="./AdcpDischargeMeasurement/GPSDeviceUsedDesc" />
       </td>
      </xsl:when>
     </xsl:choose>
     
   </tr>
     
   <tr> 
     <td class="toptbldatasubplain" colspan="2">Water Mode:
         <xsl:call-template name="ConvertCodes">
      	  	<xsl:with-param name="code" select="./AdcpDischargeMeasurement/WaterModeCode" />
      	  	<xsl:with-param name="desc" select="./AdcpDischargeMeasurement/WaterModeCode/@Description" />
      	  </xsl:call-template>
     	
     </td>
     

     
     <td class="toptbldataplain">Bottom Mode:
     	<xsl:call-template name="ConvertCodes">
      	  	<xsl:with-param name="code" select="./AdcpDischargeMeasurement/BottomModeCode" />
      	  	<xsl:with-param name="desc" select="./AdcpDischargeMeasurement/BottomModeCode/@Description" />
      	  </xsl:call-template>
     </td>
   </tr>
   
   <tr>
   	<td class="toptbldatasubplain" colspan="2">Depth Cell Size:
   		<xsl:value-of select="./AdcpDischargeMeasurement/DepthCellSizeMeasure" />
   		ft
   	</td>
   	
   	<td class="toptbldataplain"> No. Ensembles:
   		<xsl:value-of select="./AdcpDischargeMeasurement/NumberEnsemblesMeasure" />
   	</td>
   </tr>
   
   <tr>
   	<td class="toptbldatasubplain" colspan="2">Blanking Dist:
   		<xsl:value-of select="./AdcpDischargeMeasurement/BlankingDistanceMeasure" />
   		ft
   	</td>
   	
   	<td class="toptbldataplain">Water Pings:
   		<xsl:value-of select="./AdcpDischargeMeasurement/WaterPingsMeasure" />
   	</td>
   </tr>
   
   <tr>
    <td class="toptbldatasubplain" colspan="2">Bottom Pings:
    	<xsl:value-of select="./AdcpDischargeMeasurement/BottomPingsMeasure" />
    </td>
    
    <td class="toptbldataplain" colspan="2">COV:
    	<xsl:value-of select="./AdcpDischargeMeasurement/DischargeCoefficient" />
    </td>
   </tr>
   
   <tr>
   	<td class="toptbldatasubplain" colspan="2">Navigation:
   	   <xsl:call-template name="ConvertCodes">
            <xsl:with-param name="code" select="./AdcpDischargeMeasurement/NavigationCode" />
            <xsl:with-param name="desc" select="./AdcpDischargeMeasurement/NavigationCode/@Description" />
          </xsl:call-template>
   	</td>
   	
   	<td class="toptbldataplain" colspan="2">Area Comp:
   		<xsl:call-template name="ConvertCodes">
            <xsl:with-param name="code" select="./AdcpDischargeMeasurement/AreaComputationCode" />
            <xsl:with-param name="desc" select="./AdcpDischargeMeasurement/AreaComputationCode/@Description" />
        </xsl:call-template>
   	</td>
   </tr>
   		
   
   <tr>
   	<td class="toptbldatasubplain" colspan="2">Boat/Motor:
   		<xsl:value-of select="./AdcpDischargeMeasurement/BoatAndMotorUsedDesc" />
   	</td>
   	
   	<td class="toptbldataplain" colspan="2">Suspension:
   		<xsl:call-template name="ConvertCodes">
            <xsl:with-param name="code" select="./AdcpDischargeMeasurement/SuspensionCode" />
            <xsl:with-param name="desc" select="./AdcpDischargeMeasurement/SuspensionCode/@Description" />
        </xsl:call-template>
    </td>
    
   </tr>
   
   <tr>
    <td colspan="4" class="subsectionheader">Measurement Details</td>
    </tr>
  
   <tr>
  

      <td class="toptbldatasubplain" colspan="2">Total Area:
        <xsl:value-of select="./AdcpDischargeMeasurement/AreaMeasure" />
        ft<sup>2</sup>
      </td>


      <td class="toptbldataplain">Total Width:
        <xsl:value-of select="./AdcpDischargeMeasurement/WidthMeasure" />
        ft
      </td>
      
    </tr>
    
    <tr>

      <td class="toptbldatasubplain" colspan="2">Mean Vel:
        <xsl:value-of select="./AdcpDischargeMeasurement/MeanVelocityMeasure" />
        ft/s
      </td>
      
      <td class="toptbldataplain">Max Depth:
      	<xsl:value-of select="./AdcpDischargeMeasurement/MaximumDepthMeasure" />
      	ft
      </td>
    </tr>
    
    <tr>
    
      <td class="toptbldatasubplain" colspan="2">Max Vel:
      	<xsl:value-of select="./AdcpDischargeMeasurement/MaximumVelocityMeasure" />
      	ft/s
      </td>
    
    </tr>
    
     <xsl:choose>
     <xsl:when test="count(./AdcpDischargeMeasurement/AdcpTransect) &gt; 0" >
    <tr>
    	<td class="toptblheadersub" colspan="4">Transect Summary (only transects used in final Q are shown)</td>
    </tr>
    
    <tr>
    	
    	<td class="toptblheadersub" colspan="2">Start Time:</td>
    	
    	<td class="toptblheader">Discharge:</td>
    </tr>
    
    <xsl:for-each select="./AdcpDischargeMeasurement/AdcpTransect">
     <tr>
     	<td class="toptbldatasubplain" colspan="2">
     	<xsl:call-template name="striptime">
                <xsl:with-param name="str" select="AdcpTransectAttribute/AttributeDateTime" />
           </xsl:call-template>
        </td>
        
        <td class="toptbldataplain">
        	<xsl:value-of select="./DischargeMeasure" />
        	cfs
        </td>
     </tr>
    </xsl:for-each>
    </xsl:when>
    </xsl:choose>
    
    <xsl:choose>
     <xsl:when test="count(./AdcpDischargeMeasurement/CompassCalibrationText) &gt; 0" >
   		 <tr>
    		<td class="subsectionheader" colspan="4">Compass Calibration Results</td>
   		 </tr>
    
    <xsl:for-each select="./AdcpDischargeMeasurement" > 
   		 <tr>
    		<td class="toptbldatasubplain" colspan="4">
    			<xsl:value-of select="CompassCalibrationText" />
    		</td>
    	 </tr>
    	</xsl:for-each> 
    	
    </xsl:when>
   </xsl:choose> 
   
   <xsl:choose>
     <xsl:when test="count(./AdcpDischargeMeasurement/DiagnosticTestText) &gt; 0" >
   		 <tr>
    		<td class="subsectionheader" colspan="4">Diagnostic Test Results</td>
   		 </tr>
    
    <xsl:for-each select="./AdcpDischargeMeasurement" > 
   		 <tr>
    		<td class="toptbldatasubplain" colspan="4">
    			<xsl:value-of select="DiagnosticTestText" />
    		</td>
    	 </tr>
    	</xsl:for-each> 
    	
    </xsl:when>
   </xsl:choose> 
    
   
    
    
    <xsl:choose>
     <xsl:when test="count(./AdcpDischargeMeasurement/AcousticChannelNotes) &gt; 0" >
     
    	<tr>
    		<td colspan="4" class="subsectionheader">Comments:</td>
    	</tr> 
    	
    	<tr>
    		<td class="toptblheadersub">Time</td>
    		
    		<td class="toptblheader">Title</td>
    		
    		<td class="toptblheader" colspan="3">Comment</td>
    	</tr>
    	
    	 
     	<xsl:for-each select="./AdcpDischargeMeasurement/AcousticChannelNotes/Note">
     	   <tr>
     		<td class="toptbldatasubplain">
     			<xsl:call-template name="striptime">
               		 <xsl:with-param name="str" select="DateTime" />
           		</xsl:call-template>
          	</td>
           
            <td class="toptbldataplain">
           		<xsl:value-of select="NoteTitle" />
           	</td>
           	
           	<td class="toptbldataplain" colspan="3">
           		<xsl:value-of select="NoteText" />
           	</td>
           </tr>
         </xsl:for-each>
         
      </xsl:when>
    </xsl:choose>
    
    <xsl:choose>
     <xsl:when test="count(./AdcpDischargeMeasurement/AcousticChannelCorrection) &gt; 0">
     
     	<tr>
    		<td colspan="4" class="subsectionheader">Discharge Correction:</td>
    	</tr>
    	
    	<tr>
    	<td class="toptbldatasubplain" colspan="5">
    	The original measured discharge was
    		<xsl:value-of select="./AdcpDischargeMeasurement/AcousticChannelOriginalDischarge" />
    	cfs. corrected by 
    		<xsl:value-of select="./AdcpDischargeMeasurement/AcousticChannelCorrection" />
    	as determined using 
    		<xsl:value-of select="./AdcpDischargeMeasurement/AcousticChannelCorrectedTypeCode" />.
    	</td>
    	</tr>
    	
    	<tr>
    	<td class="toptbldatasubplain" colspan="5">
    	The corrected discharge is
    		<xsl:value-of select="./AdcpDischargeMeasurement/AcousticChannelCorrectedDischarge" />
    	cfs.
    	</td>
    	</tr>
    	
    	<tr>
    	<td class="toptbldatasubplain" colspan="5">
    		<xsl:value-of select="./AdcpDischargeMeasurement/AcousticChannelCorrectionComment" />
    	</td>
    	</tr>
    </xsl:when>
    </xsl:choose>    		       
        	
    <xsl:choose>
    <xsl:when test="count(./AdcpDischargeMeasurement/AcousticChannelReadings/Reading) &gt; 0" >
   	<tr>
    <td colspan="4" class="subsectionheader">Verification of Instrument Thermister Accuracy:</td>
    </tr> 
    
    <tr>
    	<td class="toptblheadersub">Date/Time</td>
    	
    	<td class="toptblheader">Salinity</td>
    
    	<td class="toptblheader">ADCP WTemp</td>
    
    	<td class="toptblheader">Meas WTemp</td>
    	
    	<td class="toptblheader">WTemp Diff</td>
    </tr> 
    
    
    <xsl:for-each select="./AdcpDischargeMeasurement/AcousticChannelReadings/Reading">
      <tr>
    	<td class="toptbldatasubplain">
    	   <xsl:call-template name="stripdate">
               <xsl:with-param name="str" select="ReadingDateTime" />
           </xsl:call-template>
           /
           <xsl:call-template name="striptime">
                <xsl:with-param name="str" select="ReadingDateTime" />
           </xsl:call-template>
        </td>
        
        <td class="toptbldataplain">
        	<xsl:value-of select="SalinityMeasure" />
        </td>
        
        <td class="toptbldataplain">
        	<xsl:value-of select="InstrumentTemperatureMeasure" />
        </td>
        
        <td class="toptbldataplain">
        	<xsl:value-of select="VerificationTemperatureMeasure" />
        </td>
       
       <xsl:choose>
       
        <xsl:when test="(InstrumentTemperatureMeasure - VerificationTemperatureMeasure &gt; 2 or InstrumentTemperatureMeasure - VerificationTemperatureMeasure &lt; -2)" >
       		<td class="toptbldata2">
       			<xsl:value-of select="format-number(InstrumentTemperatureMeasure - VerificationTemperatureMeasure, '##.0')" />
       			- Check ADCP
       		</td>
        </xsl:when>
       	<xsl:otherwise>
       		<td class="toptbldataplain">
       			<xsl:value-of select="format-number(InstrumentTemperatureMeasure - VerificationTemperatureMeasure, '##.0')" />
       		</td>
       	</xsl:otherwise>
       </xsl:choose>
       
       </tr>
     </xsl:for-each>  
     </xsl:when>
    </xsl:choose>  
    	
    
  </xsl:template>
  
<!--********************Midsection Measurement*******************-->

  <xsl:template name="Midsection">
    <tr>

      <td class="toptbldatasubplain">Stations:
        <xsl:value-of select="./MidSectionDischargeMeasurement/NumberSectionsMeasure" />
      </td>

      <td class="toptbldataplain">Total Width:
        <xsl:value-of select="./MidSectionDischargeMeasurement/WidthMeasure" />
      </td>
     
    </tr>
    
    <tr>

      <td class="toptbldatasubplain">Total Area:
        <xsl:value-of select="./MidSectionDischargeMeasurement/AreaMeasure" />
      </td>
      

      <td class="toptbldataplain">Mean Vel:
        <xsl:value-of select="./MidSectionDischargeMeasurement/MeanVelocityMeasure" />
      </td>
    
    </tr>
    
    <tr>
  

      <td class="toptbldatasubplain">Start Point:
        <xsl:call-template name="ConvertCodes">
          <xsl:with-param name="code" select="./MidSectionDischargeMeasurement/StartPointCode" />
          <xsl:with-param name="desc" select="./MidSectionDischargeMeasurement/StartPointCode/@Description" />
        </xsl:call-template>
      </td>


      <td class="toptbldataplain">Mtr Type:
        <xsl:call-template name="ConvertCodes">            
          <xsl:with-param name="code" select="./MidSectionDischargeMeasurement//SensorType/MethodCode" />
          <xsl:with-param name="desc" select="./MidSectionDischargeMeasurement//SensorType/MethodCode/@Description" />
        </xsl:call-template>
      </td>

	</tr>
	
	<tr>

      <td class="toptbldatasubplain">Serial No:
        <xsl:value-of select="./MidSectionDischargeMeasurement//SerialNumber" />
      </td>

      <td class="toptbldataplain">Mtr Susp:
        <xsl:call-template name="ConvertCodes">
          <xsl:with-param name="code" select="./MidSectionDischargeMeasurement//SuspensionCode" />
          <xsl:with-param name="desc" select="./MidSectionDischargeMeasurement//SuspensionCode/@Description" />
        </xsl:call-template>
      </td>
      
    </tr>
    
    <tr>


	<td class="toptbldatasubplain">Mtr Insp B4:
      <xsl:call-template name="ConvertCodes">
        <xsl:with-param name="code" select="./MidSectionDischargeMeasurement//InspectedBeforeIndicator" />
        <xsl:with-param name="desc" select="./MidSectionDischargeMeasurement//InspectedBeforeIndicator/@Description" />
      </xsl:call-template>
      </td>

      <td class="toptbldataplain">Mtr Insp Aft:
      <xsl:call-template name="ConvertCodes">
         <xsl:with-param name="code" select="./MidSectionDischargeMeasurement//InspectedAfterIndicator" />
         <xsl:with-param name="desc" select="./MidSectionDischargeMeasurement//InspectedAfterIndicator/@Description" />
      </xsl:call-template>
      </td>
      
    </tr>
    
    <tr>

      <td class="toptbldatasubplain">Dist to Mtr:
        <xsl:call-template name="ConvertCodes">
          <xsl:with-param name="code" select="./MidSectionDischargeMeasurement//DistanceToMeterMeasure" />
          <xsl:with-param name="desc" select="./MidSectionDischargeMeasurement//DistanceToMeterMeasure/@Description" />
        </xsl:call-template>
      </td>

      <td class="toptbldataplain">Wt. Used:
        <xsl:call-template name="ConvertCodes">
          <xsl:with-param name="code" select="./MidSectionDischargeMeasurement//SuspensionWeightCode" />
          <xsl:with-param name="desc" select="./MidSectionDischargeMeasurement//SuspensionWeightCode/@Description" />
        </xsl:call-template>
      </td>

    </tr>
  </xsl:template>
  
<!--***************Midsection Price AA Measurement*******************-->

<xsl:template name="MidsectionPrice">
    <tr>
    <td colspan="13" class="subsectionheader">Current Meter Measurement Details</td>
    </tr>
    
    <tr>

      <td class="toptbldatasubplain" colspan="2">Stations:
        <xsl:value-of select="./MidSectionDischargeMeasurement/NumberSectionsMeasure" />
      </td>

      <td class="toptbldataplain" colspan="2">Total Width:
        <xsl:value-of select="./MidSectionDischargeMeasurement/WidthMeasure" />
      </td>
      
    </tr>
    
    <tr>

      <td class="toptbldatasubplain" colspan="2">Total Area:
        <xsl:value-of select="./MidSectionDischargeMeasurement/AreaMeasure" />
      </td>


      <td class="toptbldataplain" colspan="2">Mean Vel:
        <xsl:value-of select="./MidSectionDischargeMeasurement/MeanVelocityMeasure" />
      </td>
      
    </tr>
    
    <tr> 

      <td class="toptbldatasubplain" colspan="2">Start Point:
        <xsl:call-template name="ConvertCodes">
          <xsl:with-param name="code" select="./MidSectionDischargeMeasurement/StartPointCode" />
          <xsl:with-param name="desc" select="./MidSectionDischargeMeasurement/StartPointCode/@Description" />
        </xsl:call-template>
      </td>


      <td class="toptbldataplain" colspan="2">Mtr Type:
        <xsl:call-template name="ConvertCodes">            
          <xsl:with-param name="code" select="./MidSectionDischargeMeasurement//SensorType/MethodCode" />
          <xsl:with-param name="desc" select="./MidSectionDischargeMeasurement//SensorType/MethodCode/@Description" />
        </xsl:call-template>
      </td>

	</tr>
	
	<tr>

      <td class="toptbldatasubplain" colspan="2">Serial No:
        <xsl:value-of select="./MidSectionDischargeMeasurement//SerialNumber" />
      </td>

      <td class="toptbldataplain" colspan="2">Mtr Susp:
        <xsl:call-template name="ConvertCodes">
          <xsl:with-param name="code" select="./MidSectionDischargeMeasurement//SuspensionCode" />
          <xsl:with-param name="desc" select="./MidSectionDischargeMeasurement//SuspensionCode/@Description" />
        </xsl:call-template>
      </td>
      
    </tr>
    
    <tr>

      <td class="toptbldatasubplain" colspan="2">Mtr Insp B4:
      <xsl:call-template name="ConvertCodes">
        <xsl:with-param name="code" select="./MidSectionDischargeMeasurement//InspectedBeforeIndicator" />
        <xsl:with-param name="desc" select="./MidSectionDischargeMeasurement//InspectedBeforeIndicator/@Description" />
      </xsl:call-template>
      </td>

      <td class="toptbldataplain" colspan="2">Mtr Insp Aft:
      <xsl:call-template name="ConvertCodes">
         <xsl:with-param name="code" select="./MidSectionDischargeMeasurement//InspectedAfterIndicator" />
         <xsl:with-param name="desc" select="./MidSectionDischargeMeasurement//InspectedAfterIndicator/@Description" />
      </xsl:call-template>
      </td>
      
    </tr>
    
    <tr>

      <td class="toptbldatasubplain" colspan="2">Dist to Mtr:
        <xsl:call-template name="ConvertCodes">
          <xsl:with-param name="code" select="./MidSectionDischargeMeasurement//DistanceToMeterMeasure" />
          <xsl:with-param name="desc" select="./MidSectionDischargeMeasurement//DistanceToMeterMeasure/@Description" />
        </xsl:call-template>
      </td>

      <td class="toptbldataplain" colspan="2">Wt. Used:
        <xsl:call-template name="ConvertCodes">
          <xsl:with-param name="code" select="./MidSectionDischargeMeasurement//SuspensionWeightCode" />
          <xsl:with-param name="desc" select="./MidSectionDischargeMeasurement//SuspensionWeightCode/@Description" />
        </xsl:call-template>
      </td>

    </tr>
 
    
    
   <xsl:choose>
    <xsl:when test="count(./MidSectionDischargeMeasurement/MechanicalVelocitySensor/Inspection) &gt; 0">
    
    <tr>
    <td colspan="13" class="subsectionheader">Spin Test Summary</td>
    </tr>
    
    <tr>
    
    	<td class="toptblheadersub">Spin Test Time</td>
    	
    	<td class="toptblheader">Insp by</td>
    	
    	<td class="toptblheader">Location</td>
    	
    	<td class="toptblheader">Spin Dur (s)</td>
    	
    	<td class="toptblheader" colspan="2">Comment</td>
   
    </tr>
    	
    	<xsl:for-each select="./MidSectionDischargeMeasurement/MechanicalVelocitySensor/Inspection">
    	   
    		<tr>
    		  <td class="toptbldatasubplain">
    		  <xsl:call-template name="striptime">
                  <xsl:with-param name="str" select="InspectionDateTime" />
                </xsl:call-template>
    		  </td>
    		
    		
    		  <td class="toptbldataplain">
    			<xsl:value-of select="InspectorName" />
    		  </td>
    		
    		
    		  <td class="toptbldataplain">
    		  <xsl:call-template name="ConvertCodes">
    			<xsl:with-param name="code" select="LocationCode" />
    			<xsl:with-param name="desc" select="LocationCode/@Description" />
    		  </xsl:call-template>
    		  </td>
    		  
    		
    		  <td class="toptbldataplain">
    		    <xsl:value-of select="SpinTestDurationMeasure" />
    		  </td>
    		  
    		  <td class="toptbldataplain" colspan="2">
    		    <xsl:value-of select="Comment" />
    		  </td>
    		  
    	   	</tr>  
    		  
    	</xsl:for-each>	
    </xsl:when>
   </xsl:choose>  
    
  </xsl:template>

<!--***************Midsection ADV Measurement***************-->

 <xsl:template name="MidsectionADV">
    <tr>
    <td colspan="13" class="subsectionheader">ADV Measurement Details</td>
    </tr>
    
    <tr>

      <td class="toptbldatasubplain" colspan="2">Stations:
        <xsl:value-of select="./MidSectionDischargeMeasurement/NumberSectionsMeasure" />
      </td>

      <td class="toptbldataplain">Total Width:
        <xsl:value-of select="./MidSectionDischargeMeasurement/WidthMeasure" />
      </td>
      
    </tr>
    
    <tr>

      <td class="toptbldatasubplain" colspan="2">Total Area:
        <xsl:value-of select="./MidSectionDischargeMeasurement/AreaMeasure" />
      </td>

      <td class="toptbldataplain">Mean Vel:
        <xsl:value-of select="./MidSectionDischargeMeasurement/MeanVelocityMeasure" />
      </td>
      
    </tr>
    
    <tr>
   

      <td class="toptbldatasubplain" colspan="2">Start Point:
        <xsl:call-template name="ConvertCodes">
          <xsl:with-param name="code" select="./MidSectionDischargeMeasurement/StartPointCode" />
          <xsl:with-param name="desc" select="./MidSectionDischargeMeasurement/StartPointCode/@Description" />
        </xsl:call-template>
      </td>


      <td class="toptbldataplain">Mtr Type:
        <xsl:call-template name="ConvertCodes">            
          <xsl:with-param name="code" select="./MidSectionDischargeMeasurement//SensorType/MethodCode" />
          <xsl:with-param name="desc" select="./MidSectionDischargeMeasurement//SensorType/MethodCode/@Description" />
        </xsl:call-template>
      </td>
      
    </tr>
    
    <tr>

      <td class="toptbldatasubplain" colspan="2">Serial No:
        <xsl:value-of select="./MidSectionDischargeMeasurement//SerialNumber" />
      </td>

      <td class="toptbldataplain" colspan="2">Mtr Susp:
        <xsl:call-template name="ConvertCodes">
          <xsl:with-param name="code" select="./MidSectionDischargeMeasurement//SuspensionCode" />
          <xsl:with-param name="desc" select="./MidSectionDischargeMeasurement//SuspensionCode/@Description" />
        </xsl:call-template>
      </td>
      
    </tr>
    
    <tr>	

      <td class="toptbldatasubplain" colspan="2">Mtr Insp B4:
      <xsl:call-template name="ConvertCodes">
        <xsl:with-param name="code" select="./MidSectionDischargeMeasurement//InspectedBeforeIndicator" />
        <xsl:with-param name="desc" select="./MidSectionDischargeMeasurement//InspectedBeforeIndicator/@Description" />
      </xsl:call-template>
      </td>

      <td class="toptbldataplain">Mtr Insp Aft:
      <xsl:call-template name="ConvertCodes">
         <xsl:with-param name="code" select="./MidSectionDischargeMeasurement//InspectedAfterIndicator" />
         <xsl:with-param name="desc" select="./MidSectionDischargeMeasurement//InspectedAfterIndicator/@Description" />
      </xsl:call-template>
      </td>

    </tr>
    
    <xsl:choose>
     <xsl:when test="count(./MidSectionDischargeMeasurement/AcousticChannelReadings/Reading) &gt; 0" >
      	<tr>
    <td colspan="4" class="subsectionheader">Verification of Instrument Thermister Accuracy:</td>
    </tr> 
    
    <tr>
    	<td class="toptblheadersub">Date/Time</td>
    	
    	<td class="toptblheader">Salinity</td>
    
    	<td class="toptblheader">ADV WTemp</td>
    
    	<td class="toptblheader">Meas WTemp</td>
    	
    	<td class="toptblheader">WTemp Diff</td>
    </tr> 
    
    
    <xsl:for-each select="./MidSectionDischargeMeasurement/AcousticChannelReadings/Reading">
      <tr>
    	<td class="toptbldatasubplain">
    	   <xsl:call-template name="stripdate">
               <xsl:with-param name="str" select="ReadingDateTime" />
           </xsl:call-template>
           /
           <xsl:call-template name="striptime">
                <xsl:with-param name="str" select="ReadingDateTime" />
           </xsl:call-template>
        </td>
        
        <td class="toptbldataplain">
        	<xsl:value-of select="SalinityMeasure" />
        </td>
        
        <td class="toptbldataplain">
        	<xsl:value-of select="InstrumentTemperatureMeasure" />
        </td>
        
        <td class="toptbldataplain">
        	<xsl:value-of select="VerificationTemperatureMeasure" />
        </td>
       
       <xsl:choose>
        <xsl:when test="(InstrumentTemperatureMeasure - VerificationTemperatureMeasure &gt; 2 or InstrumentTemperatureMeasure - VerificationTemperatureMeasure &lt; -2)" >
       		<td class="toptbldata2">
       		<!--"format-number(./Site/SiteData/SiteVisit/GagingStationLevels/GagingStationLevelsCircuit/AirTemperature * 1.8 + 32,'##.0')" -->
       			<xsl:value-of select="format-number(InstrumentTemperatureMeasure - VerificationTemperatureMeasure, '##.0')" />
       			- Check ADV
       		</td>
        </xsl:when>
       	<xsl:otherwise>
       		<td class="toptbldataplain">
       			<xsl:value-of select="format-number(InstrumentTemperatureMeasure - VerificationTemperatureMeasure, '##.0')" />
       		</td>
       	</xsl:otherwise>
       </xsl:choose>
       
       </tr>
     </xsl:for-each>  
    </xsl:when>
   </xsl:choose>  
    
    
  </xsl:template>

<!--***************Midsection ADCP Measurement**************-->

 <xsl:template name="MidsectionADCP">
    <tr>
    <td colspan="13" class="subsectionheader">ADCP Midsection Measurement Details</td>
    </tr>
    
    <tr>

      <td class="toptbldatasubplain" colspan="2">Stations:
        <xsl:value-of select="./MidSectionDischargeMeasurement/NumberSectionsMeasure" />
      </td>

      <td class="toptbldataplain" colspan="2">Total Width:
        <xsl:value-of select="./MidSectionDischargeMeasurement/WidthMeasure" /> ft
      </td> 
    </tr>
    
    <tr>

      <td class="toptbldatasubplain" colspan="2">Total Area:
        <xsl:value-of select="./MidSectionDischargeMeasurement/AreaMeasure" /> ft<sup>2</sup>
      </td> 
   

      <td class="toptbldataplain" colspan="2">Mean Vel:
        <xsl:value-of select="./MidSectionDischargeMeasurement/MeanVelocityMeasure" /> ft/s
      </td>
    
    </tr>
    
    <tr>

      <td class="toptbldatasubplain" colspan="2">Start Point:
        <xsl:call-template name="ConvertCodes">
          <xsl:with-param name="code" select="./MidSectionDischargeMeasurement/StartPointCode" />
          <xsl:with-param name="desc" select="./MidSectionDischargeMeasurement/StartPointCode/@Description" />
        </xsl:call-template>
      </td>


      <td class="toptbldataplain" colspan="2">Mtr Type:
        <xsl:call-template name="ConvertCodes">            
          <xsl:with-param name="code" select="./MidSectionDischargeMeasurement//SensorType/MethodCode" />
          <xsl:with-param name="desc" select="./MidSectionDischargeMeasurement//SensorType/MethodCode/@Description" />
        </xsl:call-template>
      </td>

	</tr>
	
	<tr>

      <td class="toptbldatasubplain" colspan="2">Serial No:
        <xsl:value-of select="./MidSectionDischargeMeasurement//SerialNumber" />
      </td>

      <td class="toptbldataplain" colspan="2">Mtr Susp:
        <xsl:call-template name="ConvertCodes">
          <xsl:with-param name="code" select="./MidSectionDischargeMeasurement//SuspensionCode" />
          <xsl:with-param name="desc" select="./MidSectionDischargeMeasurement//SuspensionCode/@Description" />
        </xsl:call-template>
      </td>
    </tr>
    
    <tr>

      <td class="toptbldatasubplain" colspan="2">Mtr Insp B4:

      <xsl:call-template name="ConvertCodes">
        <xsl:with-param name="code" select="./MidSectionDischargeMeasurement//InspectedBeforeIndicator" />
        <xsl:with-param name="desc" select="./MidSectionDischargeMeasurement//InspectedBeforeIndicator/@Description" />
       </xsl:call-template>
      </td>
      

      <td class="toptbldataplain" colspan="2">Mtr Insp Aft:
      <xsl:call-template name="ConvertCodes">
        <xsl:with-param name="code" select="./MidSectionDischargeMeasurement//InspectedAfterIndicator" />
        <xsl:with-param name="desc" select="./MidSectionDischargeMeasurement//InspectedAfterIndicator/@Description" />
      </xsl:call-template>
      </td>

    </tr>
  </xsl:template>
    

<!--****************Flume Measurement*********************-->

  <xsl:template name="Flume">
    <tr>

      <td class="toptbldatasubplain">Mean Head:
        <xsl:value-of select="./FlumeDischargeMeasurement/MeanHeadMeasure" />
      </td>

    </tr>

    <tr>
            <td colspan="11" class="subsectionheader">Flume Measurement Details</td>

    </tr>

          <tr>

            <td class="toptblheadersub">Time</td>

            <td class="toptblheader">Flume Head</td>

            <td class="toptblheader">Used in Mean</td>

          </tr>

          <xsl:for-each select="./FlumeDischargeMeasurement/aFlumeHeadMeasurement">
            <tr>

              <td class="toptbldatasubplain">
                <xsl:call-template name="striptime">
                  <xsl:with-param name="str" select="MeasurementDateTime" />
                </xsl:call-template>
              </td>

              <td class="toptbldataplain">
                <xsl:value-of select="FlumeHeadMeasure" />
              </td>

              <td class="toptbldataplain">
              <xsl:call-template name="ConvertCodes">
                <xsl:with-param name="code" select="MeasurementUsedInMean" />
                <xsl:with-param name="desc" select="MeasurementUsedInMean/@Description" />
               </xsl:call-template>
              </td>

            </tr>
          </xsl:for-each>

    
  </xsl:template>

<!--***********************Volumetric Measurement********************-->

  <xsl:template name="Volumetric">
    <tr>

      <td class="toptbldatasubplain">Container size:
        <xsl:call-template name="ConvertCodes">
          <xsl:with-param name="code" select="./VolumetricDischargeMeasurement/ContainerUnitCode" />
          <xsl:with-param name="desc" select="./VolumetricDischargeMeasurement/ContainerUnitCode/@Description" />
        </xsl:call-template>

      </td>

    </tr>

    	  <tr>

            <td colspan="11" class="subsectionheader">Volumetric Measurement Details</td>

          </tr>
          
          <tr>
          	<td class="toptblheadersub" colspan="4">
          		<xsl:value-of select="//ChannelName" />
          	</td>
          </tr>

          <tr>

            <td class="toptblheadersub">Start Vol
         		<xsl:choose>
         		<xsl:when test="./VolumetricDischargeMeasurement/ContainerUnitCode/@Description='Gallons'" >
          		(gal)
        		 </xsl:when>
         		<xsl:otherwise>
          		(ft<sup>3</sup>)
        		</xsl:otherwise>
       			</xsl:choose>
        	</td>

            <td class="toptblheader">End Vol
                <xsl:choose>
         		<xsl:when test="./VolumetricDischargeMeasurement/ContainerUnitCode/@Description='Gallons'" >
          		(gal)
        		 </xsl:when>
         		<xsl:otherwise>
          		(ft<sup>3</sup>)
        		</xsl:otherwise>
       			</xsl:choose>
       		</td>

            <td class="toptblheader">Fill Duration (s)</td>

            <td class="toptblheader">Discharge (cfs)</td>

          </tr>

          <xsl:for-each select="./VolumetricDischargeMeasurement/VolumetricReading">
            <tr>

              <td class="toptbldatasubplain">
                <xsl:value-of select="StartVolumeMeasure" />
              </td>

              <td class="toptbldataplain">
                <xsl:value-of select="EndVolumeMeasure" />
              </td>

              <td class="toptbldataplain">
                <xsl:value-of select="FillDurationMeasure" />
              </td>

              <td class="toptbldataplain">
                <xsl:value-of select="DischargeMeasure" />
              </td>

            </tr>
          </xsl:for-each>

  </xsl:template>

<!--**************Weir Measurement******************-->

  <xsl:template name="Weir">
    <tr>

      <td class="toptbldatasubplain">Mean Head:
        <xsl:value-of select="./FlumeDischargeMeasurement/MeanHeadMeasure" />
      </td>

    </tr>

    <tr>

            <td colspan="11" class="subsectionheader">Weir Measurement Details</td>

      </tr>

          <tr>

            <td class="toptblheadersub">Time</td>

            <td class="toptblheader">Weir Head</td>

            <td class="toptblheader">Used in Mean</td>

          </tr>

          <xsl:for-each select="./FlumeDischargeMeasurement/aFlumeHeadMeasurement">
            <tr>

              <td class="toptbldatasubplain">
                <xsl:call-template name="striptime">
                  <xsl:with-param name="str" select="MeasurementDateTime" />
                </xsl:call-template>
              </td>

              <td class="toptbldataplain">
                <xsl:value-of select="FlumeHeadMeasure" />
              </td>

              <td class="toptbldataplain">
              <xsl:call-template name="ConvertCodes">
          		<xsl:with-param name="code" select="MeasurementUsedInMean" />
          		<xsl:with-param name="desc" select="MeasurementUsedInMean/@Description" />
          	 </xsl:call-template>
              </td>

            </tr>
          </xsl:for-each>
        
  </xsl:template>

<!--************************Channel Section Summary******************-->

  <xsl:template name="Channels2">
  <!--white space-->
		 <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 2px solid white">
           <tr>
        	<td>
        	</td>
           </tr>
        </table>       
  <!--end white space--> 
  
    <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 1px solid black">
      <tr>

        <td colspan="11" class="summaryheader">
          Channel
          <xsl:value-of select="ChannelNumber" />

          Section Summary
      
        </td>

      </tr>

      <tr>

        <td class="subsectionheader" align="left">Channel Name:
          <xsl:value-of select="ChannelName" />
        </td>
      </tr> 
      
<!--********************Midsection details when midsection meas made with PDA****************-->



      <xsl:choose>
        <xsl:when test="count(./MidSectionDischargeMeasurement/MidSectionStation) &gt; 0">

          
          <tr>
            <td colspan="10">
              <table width="100%" border="1" cellspacing="0" cellpadding="0" style="background-color:#FFFFFF;border: 0px solid black">	<!--CAM - changed spacing/padding to 0 and width to 100% to keep border tight on table-->
                <xsl:call-template name="StationHeader" />

                <xsl:for-each select="./MidSectionDischargeMeasurement/MidSectionStation">
                  <xsl:variable name="count" select="position()" />

                  <xsl:choose>
                    <xsl:when test="position() = 1">
                      <xsl:call-template name="StationFirst">
                        <xsl:with-param name="count" select="$count" />
                      </xsl:call-template>
                    </xsl:when>

                    <xsl:when test="position() &gt; 1">
                      <xsl:call-template name="Station">
                        <xsl:with-param name="count" select="$count" />
                      </xsl:call-template>
                    </xsl:when>
                  </xsl:choose>
                </xsl:for-each>
             </table> 
            </td>
          </tr>

          <xsl:choose>
            <xsl:when test="count(./MidSectionDischargeMeasurement/MidSectionStation/Comment) &gt; 0">
              <xsl:call-template name="MidSectComs">
              </xsl:call-template>
            </xsl:when>
          </xsl:choose>
        </xsl:when>
      </xsl:choose>
    </table>
  </xsl:template>
  
  

  <xsl:template name="StationHeader">
  
    <tr class="tblheader">
      <td class="solidheader" rowspan="2" align="center">Stn. #</td>

      <td class="solidheader" rowspan="2" align="center">Time</td>

      <td class="solidheader" rowspan="2" align="center">
      Pier/
      <br />
      Est
      </td>

      <td class="solidheader" rowspan="2" align="center">Coef/%</td>

      <td class="solidheader" rowspan="2" align="center">
        Dist
        <br />

        (ft)
      </td>

      <td class="solidheader" rowspan="2" align="center">
        Width
        <br />

        (ft)
      </td>

      <td class="solidheader" rowspan="2" align="center">
        Tot
        Depth
        <br />

        (ft)
      </td>

      <td class="solidheader" rowspan="2" align="center">
        Ice
        <br />

        (ft)
      </td>

      <td class="solidheader" rowspan="2" align="center">
        EDepth
        <br />

        (ft)
      </td>

      <td class="solidheader" colspan="4" align="center">Velocity Observations</td>

      <td class="solidheader" rowspan="2" align="center">
        Adj
        <br />

        Vel
      </td>

      <td class="solidheader" rowspan="2" align="center">
        Area
        <br />

        (ft<sup>2</sup>)
      </td>

      <td class="solidheader" rowspan="2" align="center">
        Q
        <br />

        (cfs)
      </td>

      <td class="solidheader" rowspan="2" align="center">% Q</td>	  <!--ADDED BY CAM-->

      <td class="solidheader" rowspan="2" align="center">Com</td>
    </tr>

    <tr class="tblheader">
      <td class="solidheader" align="center">%Depth</td>

      <td class="solidheader" align="center">Rev</td>

      <td class="solidheader" align="center">Time</td>

      <td class="solidheader" align="center">AtPt Vel</td>
    </tr>
  </xsl:template>
 

  <xsl:template name="StationFirst">
    <xsl:param name="count" />

    <tr class="tbldata">
      <td class="dottedfirst" align="center">
        <xsl:value-of select="$count" />
      </td>

      <td class="dottedfirst" align="center">
        <xsl:call-template name="striptime">
          <xsl:with-param name="str" select="SectionDateTime" />
        </xsl:call-template>
      </td>

      <td class="dottedfirst" align="center">
        <xsl:choose>
          <xsl:when test="count(EstimatedVelocityCode) &gt; 0">
            <xsl:call-template name="ConvertCodes">
              <xsl:with-param name="code" select="EstimatedVelocityCode" />
              <xsl:with-param name="desc" select="EstimatedVelocityCode/@Description" />
            </xsl:call-template>
          </xsl:when>

          <xsl:otherwise>
            <xsl:choose>
              <xsl:when test="count(Pier) &gt; 0">
                <xsl:value-of select="Pier" />
              </xsl:when>
              <xsl:otherwise>-</xsl:otherwise>		<!--ADDED BY CAM - added '-' to keep lines filled in-->
            </xsl:choose>
          </xsl:otherwise>
        </xsl:choose>
      </td>

      <td class="dottedfirst" align="center">
        <xsl:choose>
          <xsl:when test="count(EstimatedVelocityPercent) &gt; 0">
            <xsl:value-of select="EstimatedVelocityPercent" />
          </xsl:when> 
          
          <xsl:otherwise>
            <xsl:choose>  
			  
			 <!--<xsl:when test="count(HorizontalAngleCoefficient) &gt; 0">
			    <xsl:value-of select="HorizontalAngleCoefficient" />
              </xsl:when> -->
			  
			
			
              <xsl:when test="count(HorizontalAngleCoefficient) &gt; 0">
                <xsl:value-of select="HorizontalAngleCoefficient" />
              </xsl:when>

              <xsl:otherwise>1.00</xsl:otherwise>
            </xsl:choose>
         </xsl:otherwise> 
        </xsl:choose> 
      </td>

      <td class="dottedfirst" align="center">
        <xsl:value-of select="DistanceFromInitialPointMeasure" />
      </td>

      <td class="dottedfirst" align="center">
        <xsl:value-of select="WidthMeasure" />
      </td>

      <td class="dottedfirst" align="center">
        <xsl:value-of select="DepthMeasure" />
      </td>

      <td class="dottedfirst" align="center">
        <xsl:choose>
          <xsl:when test="count(IceDistanceMeasure) &gt; 0">
            <xsl:value-of select="IceDistanceMeasure" />
          </xsl:when>
          <xsl:otherwise>-</xsl:otherwise>		<!--ADDED BY CAM - added '-' to keep lines filled in-->
        </xsl:choose>
      </td>

      <td class="dottedfirst" align="center">
        <xsl:choose>
          <xsl:when test="count(EffectiveDepthMeasure) &gt; 0">
            <xsl:value-of select="EffectiveDepthMeasure" />
          </xsl:when>
          <xsl:otherwise>-</xsl:otherwise>		<!--ADDED BY CAM - added '-' to keep lines filled in-->
        </xsl:choose>
      </td>

      <xsl:choose>
        <xsl:when test="count(MidSectionVelocityObservation) &gt; 0">
          <xsl:for-each select="MidSectionVelocityObservation">
            <xsl:choose>
              <xsl:when test="position() = 1">
                <td class="dottedfirst" align="center">
                  <xsl:value-of select="DepthMeasure" />
                </td>

                <td class="dottedfirst" align="center">
                  <xsl:value-of select="NumberRevolutionsMeasure" />
                </td>

                <td class="dottedfirst" align="center">
                  <xsl:value-of select="ObservationDurationMeasure" />
                </td>

                <td class="dottedfirst" align="center">
                  <xsl:value-of select="VelocityMeasure" />
                </td>
              </xsl:when>
            </xsl:choose>
          </xsl:for-each>
        </xsl:when>

        <xsl:otherwise>
          <td class="dottedfirst" align="center">
          </td>

          <td class="dottedfirst" align="center">
          </td>

          <td class="dottedfirst" align="center">
          </td>

          <td class="dottedfirst" align="center">
          </td>
        </xsl:otherwise>
      </xsl:choose>

      <td class="dottedfirst" align="center">
        <xsl:value-of select="VelocityMeasure" />
      </td>

      <td class="dottedfirst" align="center">
        <xsl:value-of select="AreaMeasure" />
      </td>

      <td class="dottedfirst" align="center">
        <xsl:value-of select="DischargeMeasure" />
		<xsl:variable name="sectq" select="DischargeMeasure" />		<!--ADDED BY CAM - variable-->
      </td>

	  <!--ADDED BY CAM-->
      <td class="dottedfirst" align="center">
	    <xsl:value-of select="format-number($sectq div $totq * 100,'0.00')" />
      </td>
	  <!--END CAM ADDITION-->
	  
      <td class="dottedfirst" align="center">
        <xsl:choose>
          <xsl:when test="count(Comment) &gt; 0">**</xsl:when>

          <xsl:otherwise>
          </xsl:otherwise>
        </xsl:choose>
      </td>
    </tr>

    <xsl:choose>
      <xsl:when test="count(MidSectionVelocityObservation) &gt; 2">
        <xsl:for-each select="MidSectionVelocityObservation">
          <xsl:choose>
            <xsl:when test="position() = 2">
              <tr class="tbldata">
                <td colspan="9" rowspan="2" class="dotted">
                </td>

                <td class="dotted" align="center">
                  <xsl:value-of select="DepthMeasure" />
                </td>

                <td class="dotted" align="center">
                  <xsl:value-of select="NumberRevolutionsMeasure" />
                </td>

                <td class="dotted" align="center">
                  <xsl:value-of select="ObservationDurationMeasure" />
                </td>

                <td class="dotted" align="center">
                  <xsl:value-of select="VelocityMeasure" />
                </td>

                <td colspan="4" rowspan="2" class="dotted">
                </td>
              </tr>
            </xsl:when>

            <xsl:when test="position() = 3">
              <tr class="tbldata">
                <td class="dotted" align="center">
                  <xsl:value-of select="DepthMeasure" />
                </td>

                <td class="dotted" align="center">
                  <xsl:value-of select="NumberRevolutionsMeasure" />
                </td>

                <td class="dotted" align="center">
                  <xsl:value-of select="ObservationDurationMeasure" />
                </td>

                <td class="dotted" align="center">
                  <xsl:value-of select="VelocityMeasure" />
                </td>
              </tr>
            </xsl:when>
          </xsl:choose>
        </xsl:for-each>
      </xsl:when>

      <xsl:otherwise>
        <xsl:choose>
          <xsl:when test="count(MidSectionVelocityObservation) &gt; 1">
            <xsl:for-each select="MidSectionVelocityObservation">
              <xsl:choose>
                <xsl:when test="position() &gt; 1">
                  <tr class="tbldata">
                    <td colspan="9">
                    </td>

                    <td class="dotted" align="center">
                      <xsl:value-of select="DepthMeasure" />
                    </td>

                    <td class="dotted" align="center">
                      <xsl:value-of select="NumberRevolutionsMeasure" />
                    </td>

                    <td class="dotted" align="center">
                      <xsl:value-of select="ObservationDurationMeasure" />
                    </td>

                    <td class="dotted" align="center">
                      <xsl:value-of select="VelocityMeasure" />
                    </td>

                    <td colspan="4">
                    </td>
                  </tr>
                </xsl:when>
              </xsl:choose>
            </xsl:for-each>
          </xsl:when>
        </xsl:choose>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="Station">
    <xsl:param name="count" />

    <tr class="tbldata">
      <td class="dotted" align="center">
        <xsl:value-of select="$count" />
      </td>

      <td class="dotted" align="center">
        <xsl:call-template name="striptime">
          <xsl:with-param name="str" select="SectionDateTime" />
        </xsl:call-template>
      </td>

      <td class="dotted" align="center">
        <xsl:choose>
          <xsl:when test="count(EstimatedVelocityCode) &gt; 0">
            <xsl:call-template name="ConvertCodes">
              <xsl:with-param name="code" select="EstimatedVelocityCode" />
              <xsl:with-param name="desc" select="EstimatedVelocityCode/@Description" />
            </xsl:call-template>
          </xsl:when>

          <xsl:otherwise>
            <xsl:choose>
              <xsl:when test="count(Pier) &gt; 0">
                <xsl:value-of select="Pier" />
              </xsl:when>
              <xsl:otherwise>-</xsl:otherwise>		<!--ADDED BY CAM - added '-' to keep lines filled in-->
            </xsl:choose>
          </xsl:otherwise>
        </xsl:choose>
      </td>

      <td class="dotted" align="center">
        <xsl:choose>
          <xsl:when test="count(EstimatedVelocityPercent) &gt; 0">
            <xsl:value-of select="EstimatedVelocityPercent" />
          </xsl:when>

          <xsl:otherwise>
            <xsl:choose>

              <xsl:when test="count(HorizontalAngleCoefficient) &gt; 0">
                <xsl:value-of select="HorizontalAngleCoefficient" />
              </xsl:when>

              <xsl:otherwise>1.00</xsl:otherwise>
            </xsl:choose>
          </xsl:otherwise>
        </xsl:choose>
      </td>

      <td class="dotted" align="center">
        <xsl:value-of select="DistanceFromInitialPointMeasure" />
      </td>

      <td class="dotted" align="center">
        <xsl:value-of select="WidthMeasure" />
      </td>

      <td class="dotted" align="center">
        <xsl:value-of select="DepthMeasure" />
      </td>

      <td class="dotted" align="center">
        <xsl:choose>
          <xsl:when test="count(IceDistanceMeasure) &gt; 0">
            <xsl:value-of select="IceDistanceMeasure" />
          </xsl:when>
          <xsl:otherwise>-</xsl:otherwise>		<!--ADDED BY CAM - added '-' to keep lines filled in-->
        </xsl:choose>
      </td>

      <td class="dotted" align="center">
        <xsl:choose>
          <xsl:when test="count(EffectiveDepthMeasure) &gt; 0">
            <xsl:value-of select="EffectiveDepthMeasure" />
          </xsl:when>
          <xsl:otherwise>-</xsl:otherwise>		<!--ADDED BY CAM - added '-' to keep lines filled in-->
        </xsl:choose>
      </td>

      <xsl:choose>
        <xsl:when test="count(MidSectionVelocityObservation) &gt; 0">
          <xsl:for-each select="MidSectionVelocityObservation">
            <xsl:choose>
              <xsl:when test="position() = 1">
                <td class="dotted" align="center">
                  <xsl:value-of select="DepthMeasure" />
                </td>

                <td class="dotted" align="center">
                  <xsl:value-of select="NumberRevolutionsMeasure" />
                </td>

                <td class="dotted" align="center">
                  <xsl:value-of select="ObservationDurationMeasure" />
                </td>

                <td class="dotted" align="center">
                  <xsl:value-of select="VelocityMeasure" />
                </td>
              </xsl:when>
            </xsl:choose>
          </xsl:for-each>
        </xsl:when>

        <xsl:otherwise>
          <td class="dotted" align="center">
          </td>

          <td class="dotted" align="center">
          </td>

          <td class="dotted" align="center">
          </td>

          <td class="dotted" align="center">
          </td>
        </xsl:otherwise>
      </xsl:choose>

      <td class="dotted" align="center">
        <xsl:value-of select="VelocityMeasure" />
      </td>

      <td class="dotted" align="center">
        <xsl:value-of select="AreaMeasure" />
      </td>

      <td class="dotted" align="center">
        <xsl:value-of select="DischargeMeasure" />
		<xsl:variable name="sectq" select="DischargeMeasure" />		<!--ADDED BY CAM - variable-->
      </td>

  	  <!--ADDED BY CAM-->
      <td class="dotted" align="center">
	    <xsl:value-of select="format-number($sectq div $totq * 100,'0.00')" />
      </td>
	  <!--END CAM ADDITION-->

      <td class="dotted" align="center">
        <xsl:choose>
          <xsl:when test="count(Comment) &gt; 0">
            <!--<xsl:value-of select="Comment"/>-->
            **
          </xsl:when>

          <xsl:otherwise>
          </xsl:otherwise>
        </xsl:choose>
      </td>
    </tr>

    <xsl:choose>
      <xsl:when test="count(MidSectionVelocityObservation) &gt; 2">
        <xsl:for-each select="MidSectionVelocityObservation">
          <xsl:choose>
            <xsl:when test="position() = 2">
              <tr class="tbldata">
                <td colspan="9" rowspan="2" class="dotted">
                </td>

                <td class="dotted" align="center">
                  <xsl:value-of select="DepthMeasure" />
                </td>

                <td class="dotted" align="center">
                  <xsl:value-of select="NumberRevolutionsMeasure" />
                </td>

                <td class="dotted" align="center">
                  <xsl:value-of select="ObservationDurationMeasure" />
                </td>

                <td class="dotted" align="center">
                  <xsl:value-of select="VelocityMeasure" />
                </td>

                <td colspan="4" rowspan="2" class="dotted">
                </td>
              </tr>
            </xsl:when>

            <xsl:when test="position() = 3">
              <tr class="tbldata">
                <td class="dotted" align="center">
                  <xsl:value-of select="DepthMeasure" />
                </td>

                <td class="dotted" align="center">
                  <xsl:value-of select="NumberRevolutionsMeasure" />
                </td>

                <td class="dotted" align="center">
                  <xsl:value-of select="ObservationDurationMeasure" />
                </td>

                <td class="dotted" align="center">
                  <xsl:value-of select="VelocityMeasure" />
                </td>
              </tr>
            </xsl:when>
          </xsl:choose>
        </xsl:for-each>
      </xsl:when>

      <xsl:otherwise>
        <xsl:choose>
          <xsl:when test="count(MidSectionVelocityObservation) &gt; 1">
            <xsl:for-each select="MidSectionVelocityObservation">
              <xsl:choose>
                <xsl:when test="position() &gt; 1">
                  <tr class="tbldata">
                    <td colspan="9">
                    </td>

                    <td class="dotted" align="center">
                      <xsl:value-of select="DepthMeasure" />
                    </td>

                    <td class="dotted" align="center">
                      <xsl:value-of select="NumberRevolutionsMeasure" />
                    </td>

                    <td class="dotted" align="center">
                      <xsl:value-of select="ObservationDurationMeasure" />
                    </td>

                    <td class="dotted" align="center">
                      <xsl:value-of select="VelocityMeasure" />
                    </td>

                    <td colspan="4">
                    </td>
                  </tr>
                </xsl:when>
              </xsl:choose>
            </xsl:for-each>
          </xsl:when>
        </xsl:choose>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
 
  
  <!--******************Midsection Measurement Comments********************-->

  <xsl:template name="MidSectComs">
    <tr>
      <td colspan="11">
        <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 0px solid white">
          <tr>


            <td colspan="11" class="subsectionheader">Midsection Comments</td>

          </tr>

          <tr>

            <td class="toptblheadersub">Stn #</td>

            <td class="toptblheader">Comment</td>

          </tr>

          <xsl:for-each select="./MidSectionDischargeMeasurement/MidSectionStation">
            <xsl:variable name="count" select="position()" />

            <xsl:choose>
              <xsl:when test="count(Comment) &gt; 0">
                <tr>

                  <td class="toptbldatasubplain">
                    <xsl:value-of select="$count" />
                  </td>

                  <td class="toptbldataplain">
                    <xsl:value-of select="Comment" />
                  </td>

                </tr>
              </xsl:when>
            </xsl:choose>
          </xsl:for-each>
        </table>
      </td>
    </tr>
  </xsl:template>
 
 
  
  <!--**************************Sensor Inspections*************************-->
  <!--insert header for sensor inspections so it doesn't print "Sensor Inspections" for every occurrence of sensor insp-->
  
 <!-- <xsl:template name="SensorInspHead">
  -white space
		 <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 2px solid white">
           <tr>
        	<td>
        	</td>
           </tr>
        </table>       
  

    <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 0px solid white">

      <tr>
        
        <td colspan="10" class="summaryheader">Sensor Inspections</td>
        
      </tr>
      
    </table>
  </xsl:template> -->    

  <xsl:template name="SensorInsp">
    <!--white space-->
		 <table border="0" cellspacing="0" cellpadding="0" width="100%" style="border: 2px solid white">
           <tr>
        	<td>
        	</td>
           </tr>
        </table>       
  <!--end white space--> 

    <table border="0" cellspacing="2" cellpadding="2" width="100%" style="border: 1px solid black">
	

    <!--.//LocationSensor/Sensor/SensorType/MethodCode='NTRAN' or .//LocationSensor/Sensor/SensorType/MethodCode='CSG' or .//LocationSensor/Sensor/SensorType/MethodCode='WWG' or .//LocationSensor/Sensor/SensorType/MethodCode='CLIP' or .//LocationSensor/Sensor/SensorType/MethodCode='TIP' or .//LocationSensor/Sensor/SensorType/MethodCode='WGH' or -->
      
      <tr>
        
        <td colspan="11" class="summaryheader">Sensor Inspection</td>
        
      </tr>
      
      <tr>

        <td colspan="11" class="subsectionheader">
          <xsl:call-template name="GetMethodName">
            <xsl:with-param name="paramcode" select=".//LocationSensor/Sensor/SensorType/ParameterCode" />

            <xsl:with-param name="methcode" select=".//LocationSensor/Sensor/SensorType/MethodCode" />
          </xsl:call-template>
        </td>
      </tr>
      
      <tr>
      
      	<td class="toptbldatasubplain">Serial No:
      		<xsl:value-of select=".//LocationSensor/Sensor/SerialNumber" />
      	</td>
      
    
        <td class="toptbldataplain">Name: 
        	<xsl:value-of select=".//LocationSensor/Sensor/SensorName" />
        </td>
      </tr>

      <xsl:choose>
        <xsl:when test=".//LocationSensor/Sensor/SensorType/MethodCode='NTRAN'">
          <xsl:call-template name="NTRANInsp" />
        </xsl:when>

        <xsl:when test=".//LocationSensor/Sensor/SensorType/MethodCode='CSG'">
          <xsl:call-template name="CSGInsp" />
        </xsl:when>

        <xsl:when test=".//LocationSensor/Sensor/SensorType/MethodCode='WWG'">
          <xsl:call-template name="WWGInsp" />
        </xsl:when>

        <xsl:when test=".//LocationSensor/Sensor/SensorType/MethodCode='CLIP'">
          <xsl:call-template name="CLIPInsp" />
        </xsl:when>

        <xsl:when test=".//LocationSensor/Sensor/SensorType/MethodCode='TIP'">
          <xsl:call-template name="TIPInsp" />
        </xsl:when>

        <xsl:when test=".//LocationSensor/Sensor/SensorType/MethodCode='WGH'">
          <xsl:call-template name="WGHInsp" />
        </xsl:when>
        
        
        
<!--<xsl:when test="GasSystemTypeCode='OTHR' and ../Comment[text()]"> -->

        <xsl:otherwise>	
          <xsl:call-template name="GenericInsp" />        
        </xsl:otherwise>
      </xsl:choose>
      	
    </table>
  </xsl:template>

<!--***********************Inspection form for Bubble Gages*********************-->

  <xsl:template name="NTRANInsp">
    <xsl:for-each select="BubbleGageInspection">
      <tr>

        <td class="toptbldatasubplain">Gas Type:
          <xsl:call-template name="ConvertCodes">
            <xsl:with-param name="code" select="GasSystemTypeCode" />
            <xsl:with-param name="desc" select="GasSystemTypeCode/@Description" />
          </xsl:call-template>
        </td>


        <td class="toptbldataplain">Orif Serviced:
          <xsl:call-template name="ConvertCodes">
            <xsl:with-param name="code" select="OrificeServicedCode" />
            <xsl:with-param name="desc" select="OrificeServicedCode/@Description" />
          </xsl:call-template>
        </td>
       </tr>
       
       <tr>

        <td class="toptbldatasubplain">Service Time:
          <xsl:call-template name="striptime">
            <xsl:with-param name="str" select="OrificeServicedDateTime" />
          </xsl:call-template>
        </td>
	   </tr>

      <xsl:choose>
        <xsl:when test="GasSystemTypeCode='NITR'">
          <tr>

            <td class="toptbldatasubplain">Tank Chngd:
              <xsl:value-of select="GasTankChangedIndicator" />
            </td>

            <td class="toptbldataplain">Tank PSI:
              (Before)
              <xsl:value-of select="TankPressureBeforeMeasure" />

              (After)
              <xsl:value-of select="TankPressureAfterMeasure" />
            </td>

		 </tr>
		 
		 <tr>

            <td class="toptbldatasubplain">Line PSI:
              (Before)
              <xsl:value-of select="LinePressureBeforeMeasure" />

              (After)
              <xsl:value-of select="LinePressureAfterMeasure" />
            </td>

            <td class="toptbldataplain">Bub Rt:
              (Before)
              <xsl:value-of select="BubbleRateBeforeMeasure" />

              (After)
              <xsl:value-of select="BubbleRateAfterMeasure" />
            </td>

          </tr>

          
          <xsl:choose>
           <xsl:when test="../Comment[text()]" >
          <tr>

            <td class="subsectionheader">Comment:</td>
          </tr>
          
          <tr>
            <td class="toptbldatasubplain" colspan="3">
             
             <xsl:value-of select="../Comment" />
            </td>
		  
          </tr>
           </xsl:when>
          </xsl:choose>
          
        </xsl:when>

        <xsl:when test="GasSystemTypeCode='BAIR'">
          <tr>

            <td class="toptbldatasubplain">Des Cond:
              <xsl:call-template name="ConvertCodes">
                <xsl:with-param name="code" select="DesiccantConditionCode" />
                <xsl:with-param name="desc" select="DesiccantConditionCode/@Description" />
              </xsl:call-template>
            </td>


            <td class="toptbldataplain">Des Chng:
              <xsl:call-template name="ConvertCodes">
                <xsl:with-param name="code" select="DesiccantChangedIndicator" />
                <xsl:with-param name="desc" select="DesiccantChangedIndicator/@Description" />
              </xsl:call-template>
            </td>
		  </tr>
		  
		 <xsl:choose>
           <xsl:when test="../Comment[text()]" >
		  	<tr>
			
            <td class="subsectionheader">Comment:</td>
            </tr>
            
            <tr>

            <td class="toptbldatasubplain" colspan="3">
              <xsl:value-of select="../Comment" />
            </td>
		
          </tr>
          </xsl:when>
         </xsl:choose>
          
          
        </xsl:when>
         
        <!--other non subm pres tran-->
        <xsl:when test="GasSystemTypeCode='OTHR' and ../Comment[text()]">
		  
		  	<tr>
				
            <td class="subsectionheader">Comment:</td>
            </tr>
            
          <tr>

            <td class="toptbldatasubplain" colspan="3">
              <xsl:value-of select="../Comment" />
            </td>
			
          </tr>
        </xsl:when>
        
      </xsl:choose>

    </xsl:for-each>
  </xsl:template>

<!--*********************CSG Inspection Template*******************-->

  <xsl:template name="CSGInsp">
    <xsl:for-each select="CrestStageGageInspection">
      <tr>

        <td class="toptbldatasubplain">Gage Insp:
          <xsl:call-template name="ConvertCodes">
            <xsl:with-param name="code" select="GageInspectedCode" />
            <xsl:with-param name="desc" select="GageInspectedCode/@Description" />
          </xsl:call-template>
        </td>


        <td class="toptbldataplain">Intk Cond:
          <xsl:call-template name="ConvertCodes">
            <xsl:with-param name="code" select="IntakeHoleConditionCode" />
            <xsl:with-param name="desc" select="IntakeHoleConditionCode/@Description" />
          </xsl:call-template>
        </td>
	  </tr>
	  
	  <tr>

        <td class="toptbldatasubplain">Vent Cond:
          <xsl:call-template name="ConvertCodes">
            <xsl:with-param name="code" select="VentHoleConditionCode" />
            <xsl:with-param name="desc" select="VentHoleConditionCode/@Description" />
          </xsl:call-template>
        </td>

      </tr>
 
     <xsl:choose>
      <xsl:when test="../Comment[text()]">
      <tr>
		
        <td class="subsectionheader">Comment:</td>
      </tr>
      
      <tr>

        <td class="toptbldatasubplain" colspan="3">
          <xsl:value-of select="../Comment" />
        </td>
		
      </tr>
     </xsl:when>
     </xsl:choose>

      
		<xsl:choose>
		 <xsl:when test="GageInspectedCode[text()='READ']">
          <tr>
            

            <td class="toptblheadersub">Est Date</td>

            <td class="toptblheader">HWM (ft)</td>

            <td class="toptblheader">Stage (ft)</td>

          </tr>

          <xsl:for-each select="CrestStageGageReading">
            <tr>
            
              <td class="toptbldatasubplain">
                <xsl:value-of select="EstimatedDateTime" />
              </td>

              <td class="toptbldataplain">
                <xsl:value-of select="HighWaterMarkMeasure" />
              </td>

              <td class="toptbldataplain">
                <xsl:value-of select="StreamStageMeasure" />
              </td>
            </tr>
          </xsl:for-each>
         </xsl:when>
        </xsl:choose>


    </xsl:for-each>
  </xsl:template>
  
<!--*********************Wire Weight Gage Inspection***********************-->

  <xsl:template name="WWGInsp">
    <xsl:for-each select="WireWeightGageInspection">
      <tr>

        <td class="toptbldatasubplain">Chkbar Found:
          <xsl:value-of select="CheckbarFoundMeasure" />
        </td>


        <td class="toptbldataplain">Chkbar Chng Time:
          <xsl:call-template name="striptime">
            <xsl:with-param name="str" select="CheckbarChangedDateTime" />
          </xsl:call-template>
        </td>
        
      </tr>
      
      <tr>

        <td class="toptbldatasubplain">Chkbar Chng:
          <xsl:value-of select="CheckbarChangedMeasure" />
        </td>


        <td class="toptbldataplain">Chkbar Elev:
          <xsl:value-of select="CheckbarElevationMeasure" />
        </td>

      </tr>
     <xsl:choose>
       <xsl:when test="../Comment[text()]">
      <tr>

        <td class="subsectionheader">Comment:</td>
      </tr>
      
      <tr>

        <td class="toptbldatasubplain" colspan="3">
          <xsl:value-of select="../Comment" />
        </td>

      </tr>
      </xsl:when>
     </xsl:choose>

    </xsl:for-each>
  </xsl:template>

<!--***************************Max/Min Clip Inspection********************-->

  <xsl:template name="CLIPInsp">
    <xsl:for-each select="MaximumMinimumGageInspection">
      <tr>

        <td class="toptbldatasubplain">Max (ft):
          <xsl:value-of select="MaximumMeasure" />
        </td>

        <td class="toptbldataplain">Min (ft):
          <xsl:value-of select="MinimumMeasure" />
        </td>

      </tr>
      
     <xsl:choose>
       <xsl:when test="../Comment[text()]">
      <tr>

        <td class="subsectionheader">Comment:</td>
      </tr>
      
      <tr>

        <td class="toptbldatasubplain" colspan="3">
          <xsl:value-of select="../Comment" />
        </td>

      </tr>
      </xsl:when>
     </xsl:choose>
     
    </xsl:for-each>
  </xsl:template>

<!--********************Tipping Bucket Rain Gage Inspection********************-->

  <xsl:template name="TIPInsp">
    <xsl:for-each select="PrecipitationGageInspection">
      <tr>

        <td class="toptbldatasubplain">Cone Cleared:
          <xsl:call-template name="ConvertCodes">
            <xsl:with-param name="code" select="ConeClearedIndicator" />
            <xsl:with-param name="desc" select="ConeClearedIndicator/@Description" />
          </xsl:call-template>
        </td>

        <td class="toptbldataplain">Calib Chkd:
          <xsl:call-template name="ConvertCodes">
            <xsl:with-param name="code" select="TippingBucketCalibrationIndicator" />
            <xsl:with-param name="desc" select="TippingBucketCalibrationIndicator/@Description" />
          </xsl:call-template>
        </td>

      </tr>

      <xsl:choose>
       <xsl:when test="../Comment[text()]">
      
      <tr>

        <td class="subsectionheader">Comment:</td>
      </tr>
      
      <tr>

        <td class="toptbldatasubplain" colspan="3">
          <xsl:value-of select="../Comment" />
        </td>

      </tr>
      
      </xsl:when>
      </xsl:choose>

    </xsl:for-each>
  </xsl:template>

<!--************************Weighing Bucket Rain Gage Inspection*********************-->

  <xsl:template name="WGHInsp">
    <tr>

      <td class="toptbldatasubplain">Parameter:
        <xsl:value-of select="LocationSensor/Sensor/ParameterCode" />

        -
        <xsl:call-template name="GetParamName">
          <xsl:with-param name="paramcode" select="LocationSensor/Sensor/ParameterCode" />
        </xsl:call-template>
      </td>

      <td class="toptbldataplain">Method:
        <xsl:value-of select="LocationSensor/Sensor/MethodCode" />

        -
        <xsl:call-template name="GetMethodName">
          <xsl:with-param name="paramcode" select="LocationSensor/Sensor/ParameterCode" />

          <xsl:with-param name="methcode" select="LocationSensor/Sensor/MethodCode" />
        </xsl:call-template>
      </td>
     </tr>
     
     <tr>

      <td class="toptbldatasubplain">Location:
        <xsl:value-of select="LocationSensor/Location/SequenceNumber" />
      </td>

    </tr>
  </xsl:template>

<!--*********************Generic Sensor Inspection*********************-->

  <xsl:template name="GenericInsp">
    
    <xsl:choose>
     <xsl:when test="Comment[text()]">
    
    <tr>

      <td class="subsectionheader">Comment:</td>
    </tr>
    
    <tr>

      <td class="toptbldatasubplain" colspan="3">
        <xsl:value-of select="Comment" />
      </td>

    </tr>
      </xsl:when>
     </xsl:choose>

  </xsl:template>


  <!--**********************Functions Needed to Run Code**********************-->
  
  <xsl:template name="striptime">
    <xsl:param name="str" />

    <xsl:value-of select="substring-after($str,'T')" />
  </xsl:template>

  <xsl:template name="stripdate">
    <xsl:param name="str" />

    <xsl:value-of select="substring-before($str,'T')" />
  </xsl:template>

  <xsl:template name="ConvertCodes">
    <xsl:param name="code" />
    <xsl:param name="desc" />
    
    <xsl:choose>
      <xsl:when test="$desc!=''">
       <xsl:value-of select="$desc" />
      </xsl:when>


      <xsl:when test="$code='THM01'">Thermister</xsl:when>

      <xsl:when test="$code='THM02'">Liq-In-Glass</xsl:when>

      <xsl:when test="$code='THM03'">Non-Contact IR</xsl:when>

      <xsl:when test="$code='THM04'">Thermister</xsl:when>

      <xsl:when test="$code='THM05'">Liq-In-Glass</xsl:when>

      <xsl:when test="$code='00020'">Air Temperature</xsl:when>

      <xsl:when test="$code='00010'">Water Temperature</xsl:when>
      
      <xsl:when test="$code='OPT'">Optical</xsl:when>
      
      <xsl:when test="$code='EDL'">Digital</xsl:when>
      
      <xsl:when test="$code='FGR'">Fiberglass</xsl:when>
      
      <xsl:when test="$code='INR'">Invar</xsl:when>
      
      <xsl:when test="$code='WDR'">Wood</xsl:when>
      
      <xsl:when test="$code='VADCP'">ADCP</xsl:when>
      
      <xsl:when test="$code='UNSP'">Unspecified</xsl:when>
      

      <xsl:otherwise>
        <xsl:value-of select="$code" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="GetParamName">
    <xsl:param name="paramcode" />

    <xsl:choose>
      <xsl:when test="$paramcode='00010'">Temperature, water, deg. C</xsl:when>

      <xsl:when test="$paramcode='00020'">Temperature, air, deg. C</xsl:when>

      <xsl:when test="$paramcode='00045'">Precipitation, total, inches</xsl:when>

      <xsl:when test="$paramcode='99772'">Precipitation, total, mm</xsl:when>

      <xsl:when test="$paramcode='00065'">Gage height, feet</xsl:when>

      <xsl:when test="$paramcode='72019'">Water level, feet below LS</xsl:when>

      <xsl:when test="$paramcode='61055'">Water level, feet below MP</xsl:when>

      <xsl:otherwise>
        <xsl:value-of select="$paramcode" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>

  <xsl:template name="GetMethodName">
    <xsl:param name="paramcode" />

    <xsl:param name="methcode" />

    <xsl:choose>
      <xsl:when test="$paramcode='00010'">
        <xsl:choose>
          <xsl:when test="$methcode='THM01'">Thermister, water</xsl:when>

          <xsl:when test="$methcode='THM02'">Liquid In Glass</xsl:when>

          <xsl:when test="$methcode='THM03'">Non-Contact IR</xsl:when>

          <xsl:otherwise>
            <xsl:value-of select="$methcode" />
          </xsl:otherwise>
        </xsl:choose>
      </xsl:when>

      <xsl:when test="$paramcode='00020'">
        <xsl:choose>
          <xsl:when test="$methcode='THM04'">Thermister, air</xsl:when>

          <xsl:when test="$methcode='THM05'">Liquid In Glass</xsl:when>

          <xsl:otherwise>
            <xsl:value-of select="$methcode" />
          </xsl:otherwise>
        </xsl:choose>
      </xsl:when>

      <xsl:when test="$paramcode='00045'">
        <xsl:choose>
          <xsl:when test="$methcode='TIP'">Tipping Bucket</xsl:when>

          <xsl:when test="$methcode='WGH'">Weighing</xsl:when>
          
          <xsl:when test="$methcode='PTB1'">Single Tipping Bucket</xsl:when>
          
          <xsl:when test="$methcode='PTB2'">Double Tipping Bucket</xsl:when>

          <xsl:otherwise>
            <xsl:value-of select="$methcode" />
          </xsl:otherwise>
        </xsl:choose>
      </xsl:when>

      <xsl:when test="$paramcode='99772'">
        <xsl:choose>
          <xsl:when test="$methcode='TIP'">Tipping Bucket</xsl:when>

          <xsl:when test="$methcode='WGH'">Weighing</xsl:when>

          <xsl:otherwise>
            <xsl:value-of select="$methcode" />
          </xsl:otherwise>
        </xsl:choose>
      </xsl:when>

      <xsl:when test="$paramcode='00065'">
        <xsl:choose>
          <xsl:when test="$methcode='ACOUS'">Submersible Acoustic</xsl:when>

          <xsl:when test="$methcode='CLIP'">Max/Min Indicator</xsl:when>

          <xsl:when test="$methcode='CSG'">Crest Stage Gage</xsl:when>

          <xsl:when test="$methcode='ETG'">Electronic Tape</xsl:when>

          <xsl:when test="$methcode='FLOAT'">Float Tape</xsl:when>

          <xsl:when test="$methcode='INSD'">Inside Gage</xsl:when>

          <xsl:when test="$methcode='MANO'">Manometer</xsl:when>

          <xsl:when test="$methcode='NCAC'">Non-Contact Acoustic</xsl:when>

          <xsl:when test="$methcode='NCLZ'">Non-Contact Laser</xsl:when>

          <xsl:when test="$methcode='NCRD'">Non-Contact Radar</xsl:when>

          <xsl:when test="$methcode='NTRAN'">Non-Subm Pres Tran</xsl:when>

          <xsl:when test="$methcode='OTSD'">Outside Gage</xsl:when>

          <xsl:when test="$methcode='RP'">Reference Point</xsl:when>

          <xsl:when test="$methcode='STAFF'">Staff Gage</xsl:when>

          <xsl:when test="$methcode='STRAN'">Sub Pres Tran</xsl:when>

          <xsl:when test="$methcode='WWG'">Wire Weight Gage</xsl:when>
          
          <xsl:when test="$methcode='ENCD'">Shaft Encoder</xsl:when>

          <xsl:otherwise>
            <xsl:value-of select="$methcode" />
          </xsl:otherwise>
        </xsl:choose>
      </xsl:when>

      <xsl:when test="$paramcode='72019'">
        <xsl:choose>
          <xsl:when test="$methcode='WLAIR'">Airline</xsl:when>

          <xsl:when test="$methcode='WLETP'">Electric Tape</xsl:when>

          <xsl:when test="$methcode='WLPTR'">Pres Tran</xsl:when>

          <xsl:when test="$methcode='WLSTP'">Steel Tape</xsl:when>

          <xsl:otherwise>
            <xsl:value-of select="$methcode" />
          </xsl:otherwise>
        </xsl:choose>
      </xsl:when>

      <xsl:when test="$paramcode='61055'">
        <xsl:choose>
          <xsl:when test="$methcode='WLAIR'">Airline</xsl:when>

          <xsl:when test="$methcode='WLETP'">Electric Tape</xsl:when>

          <xsl:when test="$methcode='WLPTR'">Pres Tran</xsl:when>

          <xsl:when test="$methcode='WLSTP'">Steel Tape</xsl:when>

          <xsl:otherwise>
            <xsl:value-of select="$methcode" />
          </xsl:otherwise>
        </xsl:choose>
      </xsl:when>

      <xsl:otherwise>
        <xsl:value-of select="$methcode" />
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>

